/*********************************************************************
*
* (C) Copyright 2016 Broadcom. All rights reserved.
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*        
*      http://www.apache.org/licenses/LICENSE-2.0
*        
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*        
**********************************************************************
*
* @filename  rpccom_openapi.h
*
* @purpose   FASTPATH OPENAPI function RPC common wrappers header file.
*
* @component rpcgen
*
* @comments  
*
* @create    (see file timestamp)
*
* @author    auto-gen
*
* @end
*
**********************************************************************
*******  THIS FILE IS AUTO-GENERATED DURING THE BUILD PROCESS  *******
*******            PLEASE DO NOT MODIFY ITS CONTENTS           *******
**********************************************************************/

#ifndef _RPCCOM_OPENAPI_H_
#define _RPCCOM_OPENAPI_H_

#include "flex.h"

/* list of OPENAPI function type IDs */
typedef enum
{
  RPCCOM_OPENAPI_FID_NONE                                             =     0,  /* for bounds-checking */
/* src/open/api/acl/openapi_acl.c */
  openapiAclCreate_FID                                                =     1,  
  openapiAclDelete_FID                                                =     2,  
  openapiAclDeleteByName_FID                                          =     3,  
  openapiAclGet_FID                                                   =     4,  
  openapiAclGetFirst_FID                                              =     5,  
  openapiAclGetNext_FID                                               =     6,  
  openapiAclNameGet_FID                                               =     7,  
  openapiAclRename_FID                                                =     8,  
  openapiAclRuleActionGet_FID                                         =     9,  
  openapiAclRuleGetFirst_FID                                          =    10,  
  openapiAclRuleGetNext_FID                                           =    11,  
  openapiAclRuleActionAdd_FID                                         =    12,  
  openapiAclRuleDeleteLast_FID                                        =    13,  
  openapiAclRuleDelete_FID                                            =    14,  
  openapiAclMaxAssignQueueGet_FID                                     =    15,  
  openapiAclCountGet_FID                                              =    16,  
  openapiAclMacCountGet_FID                                           =    17,  
  openapiAclMaxCountGet_FID                                           =    18,  
  openapiAclMaxMirrorIntfCountGet_FID                                 =    19,  
  openapiAclMaxIntfAclCountGet_FID                                    =    20,  
  openapiAclMaxVlanAclCountGet_FID                                    =    21,  
  openapiAclMaxAclIntfCountGet_FID                                    =    22,  
  openapiAclMaxAclVlanCountGet_FID                                    =    23,  
  openapiAclRuleMatchAssignQueueAdd_FID                               =    24,  
  openapiAclRuleMatchAssignQueueGet_FID                               =    25,  
  openapiAclRuleMatchDscpAdd_FID                                      =    26,  
  openapiAclRuleMatchDscpGet_FID                                      =    27,  
  openapiAclRuleMatchFlowLabelAdd_FID                                 =    28,  
  openapiAclRuleMatchFlowLabelGet_FID                                 =    29,  
  openapiAclRuleMatchFragmentsAdd_FID                                 =    30,  
  openapiAclRuleMatchFragmentsGet_FID                                 =    31,  
  openapiAclRuleMatchIcmpTypeCodeAdd_FID                              =    32,  
  openapiAclRuleMatchIcmpTypeCodeGet_FID                              =    33,  
  openapiAclRuleMatchIgmpTypeAdd_FID                                  =    34,  
  openapiAclRuleMatchIgmpTypeGet_FID                                  =    35,  
  openapiAclRuleMatchEveryAdd_FID                                     =    36,  
  openapiAclRuleMatchEveryGet_FID                                     =    37,  
  openapiAclRuleMatchLoggingAdd_FID                                   =    38,  
  openapiAclRuleMatchLoggingGet_FID                                   =    39,  
  openapiAclRuleMatchSflowSamplingAdd_FID                             =    40,  
  openapiAclRuleMatchSflowSamplingGet_FID                             =    41,  
  openapiAclRuleMatchMacCosAdd_FID                                    =    42,  
  openapiAclRuleMatchMacCosGet_FID                                    =    43,  
  openapiAclRuleMatchMacCos2Add_FID                                   =    44,  
  openapiAclRuleMatchMacCos2Get_FID                                   =    45,  
  openapiAclRuleMatchMacEtherTypeAdd_FID                              =    46,  
  openapiAclRuleMatchMacEtherTypeGet_FID                              =    47,  
  openapiAclRuleMatchMacDstMacAdd_FID                                 =    48,  
  openapiAclRuleMatchMacDstMacGet_FID                                 =    49,  
  openapiAclRuleMatchMacVlanAdd_FID                                   =    50,  
  openapiAclRuleMatchMacVlanGet_FID                                   =    51,  
  openapiAclRuleMatchMacSecondaryVlanAdd_FID                          =    52,  
  openapiAclRuleMatchMacSecondaryVlanGet_FID                          =    53,  
  openapiAclRuleMatchMacSrcMacAdd_FID                                 =    54,  
  openapiAclRuleMatchMacSrcMacGet_FID                                 =    55,  
  openapiAclRuleMatchMirrorAdd_FID                                    =    56,  
  openapiAclRuleMatchMirrorGet_FID                                    =    57,  
  openapiAclRuleMatchPrecedenceAdd_FID                                =    58,  
  openapiAclRuleMatchPrecedenceGet_FID                                =    59,  
  openapiAclRuleMatchIpDstMaskAdd_FID                                 =    60,  
  openapiAclRuleMatchIpDstMaskGet_FID                                 =    61,  
  openapiAclRuleMatchIpSrcMaskAdd_FID                                 =    62,  
  openapiAclRuleMatchIpSrcMaskGet_FID                                 =    63,  
  openapiAclRuleMatchIpv6DstPfxAdd_FID                                =    64,  
  openapiAclRuleMatchIpv6DstPfxGet_FID                                =    65,  
  openapiAclRuleMatchIpv6SrcPfxAdd_FID                                =    66,  
  openapiAclRuleMatchIpv6SrcPfxGet_FID                                =    67,  
  openapiAclRuleMatchL4DstPortAdd_FID                                 =    68,  
  openapiAclRuleMatchL4DstPortGet_FID                                 =    69,  
  openapiAclRuleMatchL4SrcPortAdd_FID                                 =    70,  
  openapiAclRuleMatchL4SrcPortGet_FID                                 =    71,  
  openapiAclRuleMatchProtocolAdd_FID                                  =    72,  
  openapiAclRuleMatchProtocolGet_FID                                  =    73,  
  openapiAclRuleMatchRateLimitAdd_FID                                 =    74,  
  openapiAclRuleMatchRateLimitGet_FID                                 =    75,  
  openapiAclMaxRedirectIntfCountGet_FID                               =    76,  
  openapiAclRuleMatchRedirectAdd_FID                                  =    77,  
  openapiAclRuleMatchRedirectGet_FID                                  =    78,  
  openapiAclRuleMatchRedirectAgentAdd_FID                             =    79,  
  openapiAclRuleMatchRedirectAgentGet_FID                             =    80,  
  openapiAclRuleMatchMirrorAgentAdd_FID                               =    81,  
  openapiAclRuleMatchMirrorAgentGet_FID                               =    82,  
  openapiAclRuleMatchRoutingAdd_FID                                   =    83,  
  openapiAclRuleMatchRoutingGet_FID                                   =    84,  
  openapiAclRuleMatchTcpFlagsAdd_FID                                  =    85,  
  openapiAclRuleMatchTcpFlagsGet_FID                                  =    86,  
  openapiAclRuleMatchTimeRangeAdd_FID                                 =    87,  
  openapiAclRuleMatchTimeRangeGet_FID                                 =    88,  
  openapiAclRuleMatchTimeRangeStatusGet_FID                           =    89,  
  openapiAclRuleMatchTosAdd_FID                                       =    90,  
  openapiAclRuleMatchTosGet_FID                                       =    91,  
  openapiAclIntfDirGetNext_FID                                        =    92,  
  openapiAclIsIntfInUse_FID                                           =    93,  
  openapiAclIsVlanInUse_FID                                           =    94,  
  openapiAclIntfDirAdd_FID                                            =    95,  
  openapiAclIntfDirDelete_FID                                         =    96,  
  openapiAclIntfDirListGet_FID                                        =    97,  
  openapiAclVlanDirAdd_FID                                            =    98,  
  openapiAclVlanDirDelete_FID                                         =    99,  
  openapiAclVlanDirListGet_FID                                        =   100,  
  openapiAclAssignedIntfDirListGet_FID                                =   101,  
  openapiAclAssignedVlanDirListGet_FID                                =   102,  
  openapiAclRouteFilter_FID                                           =   103,  
  openapiAclCountersAdminModeSet_FID                                  =   104,  
  openapiAclRuleCountGet_FID                                          =   105,  
  openapiAclRuleCountersClear_FID                                     =   106,  
  openapiAclRuleGlobalApply_FID                                       =   107,  
  openapiAclGlobalDelete_FID                                          =   108,  
  openapiAclIsDaclGet_FID                                             =   109,  
/* src/open/api/app/openapi_app_ctrl.c */
  openapiAppCtrlEntryCreate_FID                                       =   110,  
  openapiAppCtrlEntryDelete_FID                                       =   111,  
  openapiAppCtrlAttrGet_FID                                           =   112,  
  openapiAppCtrlAttrSet_FID                                           =   113,  
  openapiAppCtrlStart_FID                                             =   114,  
  openapiAppCtrlStop_FID                                              =   115,  
  openapiAppCtrlStatusGet_FID                                         =   116,  
  openapiAppCtrlStatusSet_FID                                         =   117,  
  openapiAppCtrlVersionGet_FID                                        =   118,  
  openapiAppCtrlVersionSet_FID                                        =   119,  
/* src/open/api/bcmsdk/openapi_bcmsdk_access.c */
  openapiSdkShellCmdRun_FID                                           =   120,  
  openapiSdkRegReadByName_FID                                         =   121,  
  openapiSdkPortRegReadByName_FID                                     =   122,  
/* src/open/api/bgp/openapi_bgp_config.c */
  openapiBgpIpv4RouteMax_FID                                          =   123,  
  openapiBgpIpv6RouteMax_FID                                          =   124,  
  openapiBgpGlobalHoldTimeConfiguredGet_FID                           =   125,  
  openapiBgpGlobalHoldTimeConfiguredSet_FID                           =   126,  
  openapiBgpGlobalKeepAliveConfiguredGet_FID                          =   127,  
  openapiBgpGlobalKeepAliveConfiguredSet_FID                          =   128,  
  openapiBgpLocalASGet_FID                                            =   129,  
  openapiBgpLocalASSet_FID                                            =   130,  
  openapiBgpLocalIdGet_FID                                            =   131,  
  openapiBgpLocalIdSet_FID                                            =   132,  
  openapiBgpLocalPrefGet_FID                                          =   133,  
  openapiBgpLocalPrefSet_FID                                          =   134,  
  openapiBgpLogNeighborChangesGet_FID                                 =   135,  
  openapiBgpLogNeighborChangesSet_FID                                 =   136,  
  openapiBgpMaxPathsGet_FID                                           =   137,  
  openapiBgpMaxPathsSet_FID                                           =   138,  
  openapiBgpNetworkAddDelete_FID                                      =   139,  
  openapiBgpRedistributionSet_FID                                     =   140,  
  openapiBgpPeerActivateGet_FID                                       =   141,  
  openapiBgpPeerActivateSet_FID                                       =   142,  
  openapiBgpPeerAdminStatusVrfGet_FID                                 =   143,  
  openapiBgpPeerAdminStatusGet_FID                                    =   144,  
  openapiBgpPeerAdminStatusVrfSet_FID                                 =   145,  
  openapiBgpPeerAdminStatusSet_FID                                    =   146,  
  openapiBgpPeerAdvertisementIntervalGet_FID                          =   147,  
  openapiBgpPeerAdvertisementIntervalSet_FID                          =   148,  
  openapiBgpPeerHoldTimeConfiguredGet_FID                             =   149,  
  openapiBgpPeerHoldTimeConfiguredSet_FID                             =   150,  
  openapiBgpPeerKeepAliveConfiguredGet_FID                            =   151,  
  openapiBgpPeerKeepAliveConfiguredSet_FID                            =   152,  
  openapiBgpPeerNextHopSelfModeGet_FID                                =   153,  
  openapiBgpPeerNextHopSelfModeSet_FID                                =   154,  
  openapiBgpPeerPfxLimitGet_FID                                       =   155,  
  openapiBgpPeerPfxLimitSet_FID                                       =   156,  
  openapiBgpPeerRemoteASGet_FID                                       =   157,  
  openapiBgpPeerRemoteASVrfGet_FID                                    =   158,  
  openapiBgpPeerRemoteASVrfSet_FID                                    =   159,  
  openapiBgpPeerRemoteASSet_FID                                       =   160,  
  openapiBgpPeerUpdateSourceGet_FID                                   =   161,  
  openapiBgpPeerUpdateSourceSet_FID                                   =   162,  
  openapiBgpAdminModeGet_FID                                          =   163,  
  openapiBgpAdminModeSet_FID                                          =   164,  
  openapiBgpMapGlobalStatusInfoGet_FID                                =   165,  
  openapiBgpMapPeerRemoteAddrGetNext_FID                              =   166,  
  openapiBgpMapPeerRemoteAddrVrfGetNext_FID                           =   167,  
  openapiBgpMapPeerStatusGet_FID                                      =   168,  
  openapiBgpMapPeerStatusVrfGet_FID                                   =   169,  
  openapiBgpTemplateNameMaxLengthGet_FID                              =   170,  
  openapiBgpTemplateSet_FID                                           =   171,  
  openapiBgpTemplateDelete_FID                                        =   172,  
  openapiBgpTemplateAFSet_FID                                         =   173,  
  openapiBgpTemplateAFClear_FID                                       =   174,  
  openapiBgpTemplateSendCommunitySet_FID                              =   175,  
  openapiBgpPeerDescriptionNameMaxLengthGet_FID                       =   176,  
  openapiBgpPeerDescriptionVrfSet_FID                                 =   177,  
  openapiBgpPeerDescriptionSet_FID                                    =   178,  
  openapiBgpPeerDescriptionVrfGet_FID                                 =   179,  
  openapiBgpPeerDescriptionGet_FID                                    =   180,  
  openapiBgpPeerInheritSet_FID                                        =   181,  
  openapiBgpPeerInheritGet_FID                                        =   182,  
  openapiBgpMapPeerConnRetryIntervalGet_FID                           =   183,  
  openapiBgpMapPeerPasswordMaxLengthGet_FID                           =   184,  
  openapiBgpMapPeerPasswordGet_FID                                    =   185,  
  openapiBgpMapPeerPasswordSet_FID                                    =   186,  
  openapiBgpMapDecProcHistoryCountGet_FID                             =   187,  
  openapiBgpMapDecProcHistoryByIndexGet_FID                           =   188,  
  openapiBgpMapPeerFlapCountGet_FID                                   =   189,  
  openapiBgpPeerAutodetectedIpGet_FID                                 =   190,  
  openapiBgpPeerAddressStringMaxLengthGet_FID                         =   191,  
  openapiBgpPeerAddrScopeCat_FID                                      =   192,  
  openapiBgpMapPeerFalloverBfdGet_FID                                 =   193,  
/* src/open/api/boxservices/openapi_boxs.c */
  openapiBoxsiGeneralFanSpeedGet_FID                                  =   194,  
  openapiBoxsiGeneralFanDutyLevelGet_FID                              =   195,  
  openapiBoxsNumOfFansGet_FID                                         =   196,  
  openapiBoxsFanSpeedGet_FID                                          =   197,  
  openapiBoxsFanStateGet_FID                                          =   198,  
  openapiBoxsFanTypeGet_FID                                           =   199,  
  openapiBoxsFanDutyCycleGet_FID                                      =   200,  
  openapiBoxsFanDescripSizeGet_FID                                    =   201,  
  openapiBoxsFanDescripGet_FID                                        =   202,  
  openapiBoxsNumOfPowSuppliesGet_FID                                  =   203,  
  openapiBoxsPowSupplyStateGet_FID                                    =   204,  
  openapiBoxsPowSupplyTypeGet_FID                                     =   205,  
  openapiBoxsPowSupplyDescripSizeGet_FID                              =   206,  
  openapiBoxsPowSupplyDescripGet_FID                                  =   207,  
  openapiBoxsGeneralTempGet_FID                                       =   208,  
  openapiBoxsTempRangeGet_FID                                         =   209,  
  openapiBoxsNumOfTempSensorsGet_FID                                  =   210,  
  openapiBoxsTempSensorDescripSizeGet_FID                             =   211,  
  openapiBoxsTempSensorDescripGet_FID                                 =   212,  
  openapiBoxsTempGet_FID                                              =   213,  
  openapiBoxsTempSensorStatusGet_FID                                  =   214,  
  openapiBoxsTempSensorMaxTempGet_FID                                 =   215,  
  openapiBoxsSfpTypeGet_FID                                           =   216,  
  openapiBoxsSfpVendorNameGet_FID                                     =   217,  
  openapiBoxsSfpSerialNumberGet_FID                                   =   218,  
  openapiBoxsSfpPartNumberGet_FID                                     =   219,  
  openapiBoxsSfpVendorRevisionGet_FID                                 =   220,  
  openapiBoxsSfpLinkLength50umGet_FID                                 =   221,  
  openapiBoxsSfpLinkLength62_5umGet_FID                               =   222,  
  openapiBoxsSfpNominalSignalRate_FID                                 =   223,  
  openapiBoxsSfpComplianceGet_FID                                     =   224,  
  openapiBoxsSfpVendorNameSizeGet_FID                                 =   225,  
  openapiBoxsSfpSerialNumberSizeGet_FID                               =   226,  
  openapiBoxsSfpPartNumberSizeGet_FID                                 =   227,  
  openapiBoxsSfpVendorRevSizeGet_FID                                  =   228,  
  openapiBoxsSfpComplianceSizeGet_FID                                 =   229,  
  openapiPortLocatorGlobalDisable_FID                                 =   230,  
  openapiPortLocatorInterfaceEnable_FID                               =   231,  
  openapiBoxsHwVersionGet_FID                                         =   232,  
  openapiFiberPortsOpticsFaultStatusGet_FID                           =   233,  
  openapiFiberPortsOpticsGet_FID                                      =   234,  
  openapiFiberPortsLaneOpticsGet_FID                                  =   235,  
  openapiFiberPortsTransceiverPresenceGet_FID                         =   236,  
  openapiCpldVersionGet_FID                                           =   237,  
  openapiBoxsPortLedsModeSet_FID                                      =   238,  
  openapiBoxsPortLedsModeGet_FID                                      =   239,  
  openapiBoxsSystemLedModeSet_FID                                     =   240,  
  openapiBoxsSystemLedModeGet_FID                                     =   241,  
/* src/open/api/bridge/openapi_bridge.c */
  openapiDot1dBasePortEntryNextGet_FID                                =   242,  
  openapiDot1dBaseBridgeAddressGet_FID                                =   243,  
  openapiDot1dBaseNumPortsGet_FID                                     =   244,  
  openapiDot1dBaseTypeGet_FID                                         =   245,  
  openapiDot1dBasePortIfIndexGet_FID                                  =   246,  
  openapiDot1dIsValidIntf_FID                                         =   247,  
  openapiDot1dBasePortEntryGet_FID                                    =   248,  
  openapiDot1dBasePortCircuitGet_FID                                  =   249,  
  openapiDot1dBasePortDelayExceededDiscardsGet_FID                    =   250,  
  openapiDot1dBasePortMtuExceededDiscardsGet_FID                      =   251,  
  openapiDot1dStpProtocolSpecificationGet_FID                         =   252,  
  openapiDot1dStpPriorityGet_FID                                      =   253,  
  openapiDot1dStpTimeSinceTopologyChangeGet_FID                       =   254,  
  openapiDot1dStpTopChangesGet_FID                                    =   255,  
  openapiDot1dStpDesignatedRootGet_FID                                =   256,  
  openapiDot1dStpRootCostGet_FID                                      =   257,  
  openapiDot1dStpRootPortGet_FID                                      =   258,  
  openapiDot1dStpMaxAgeGet_FID                                        =   259,  
  openapiDot1dStpHelloTimeGet_FID                                     =   260,  
  openapiDot1dStpHoldTimeGet_FID                                      =   261,  
  openapiDot1dStpForwardDelayGet_FID                                  =   262,  
  openapiDot1dStpBridgeMaxAgeGet_FID                                  =   263,  
  openapiDot1dStpBridgeHelloTimeGet_FID                               =   264,  
  openapiDot1dStpBridgeForwardDelayGet_FID                            =   265,  
  openapiDot1dStpPortPriorityGet_FID                                  =   266,  
  openapiDot1dIsInterfaceInCurrentInstance_FID                        =   267,  
  openapiDot1dInstanceMemberGetNext_FID                               =   268,  
  openapiDot1dStpPortStateGet_FID                                     =   269,  
  openapiDot1dStpPortPathCostGet_FID                                  =   270,  
  openapiDot1dStpPortDesignatedRootGet_FID                            =   271,  
  openapiDot1dStpPortDesignatedCostGet_FID                            =   272,  
  openapiDot1dStpPortDesignatedBridgeGet_FID                          =   273,  
  openapiDot1dStpPortDesignatedPortGet_FID                            =   274,  
  openapiDot1dStpPortForwardTransitionsGet_FID                        =   275,  
  openapiDot1dTpLearnedEntryDiscardsGet_FID                           =   276,  
  openapiDbDot1dTpAgingTimeGet_FID                                    =   277,  
  openapiDbDot1dTpAgingTimeSet_FID                                    =   278,  
  openapiDot1dTpFdbEntryNextGet_FID                                   =   279,  
  openapiDot1dTpFdbEntryGet_FID                                       =   280,  
  openapiDot1dTpFdbStatusGet_FID                                      =   281,  
  openapiDot1dTpFdbPortGet_FID                                        =   282,  
  openapiDot1dTpPortMaxInfoGet_FID                                    =   283,  
  openapiDot1dTpPortInFramesGet_FID                                   =   284,  
  openapiDot1dTpPortOutFramesGet_FID                                  =   285,  
  openapiDot1dTpPortInDiscardsGet_FID                                 =   286,  
/* src/open/api/cable_status/openapi_cable_status.c */
  openapiCableStatusGet_FID                                           =   287,  
/* src/open/api/cli_script/openapi_cli_script.c */
#if !defined(L7_PRODUCT_SMARTPATH)
  openapiTxtCfgApply_FID                                              =   288,  
  openapiRunningCfgGenerate_FID                                       =   289,  
  openapiSaveConfig_FID                                               =   290,  
  openapiTxtCfgValidate_FID                                           =   291,  
  openapiFileNameMaxLengthGet_FID                                     =   292,  
  openapiTxtCfgNDCApply_FID                                           =   293,  
  openapiTxtCfgNDCGenerate_FID                                        =   294,  
  openapiCliShowExecuteToFile_FID                                     =   295,  
#endif 
/* src/open/api/common/openapi_common.c */
  openapiApiVersionGet_FID                                            =   296,  
  openapiConnectivityCheck_FID                                        =   297,  
  openapiCpuIntfGet_FID                                               =   298,  
  openapiOspfEqualCostRoutesMax_FID                                   =   299,  
  openapiNetworkOSVersionGet_FID                                      =   300,  
  openapiHardwareVersionGet_FID                                       =   301,  
  openapiInetAddrMaxSizeGet_FID                                       =   302,  
  openapiInetAddrCompare_FID                                          =   303,  
  openapiInetAddrGet_FID                                              =   304,  
  openapiInetAddrFromIPAddrHostNameStr_FID                            =   305,  
  openapiPingCallback_FID                                             =   306,  
  openapiTraceRouteCallbackFn_FID                                     =   307,  
  openapiCurrentSDMGet_FID                                            =   308,  
  openapiIsInetAddrZero_FID                                           =   309,  
  openapiIntfDisplayNameGet_FID                                       =   310,  
  openapiIntfNameMaxLengthGet_FID                                     =   311,  
  openapiIntfNameGet_FID                                              =   312,  
  openapiIpAddressMaxStringLength_FID                                 =   313,  
  openapiOpenIPtoStringGet_FID                                        =   314,  
  openapiSystemFileNameMaxLengthGet_FID                               =   315,  
  openapiImageFileNameMaxLengthGet_FID                                =   316,  
/* src/open/api/configuration/openapi_config.c */
/* src/open/api/cos/openapi_cos.c */
  openapiCosQueueIntfShapingRateUnitsGet_FID                          =   317,  
  openapiCosQueueIntfShapingPercentageIncrementGet_FID                =   318,  
  openapiCosQueueIntfShapingRateGet_FID                               =   319,  
  openapiCosQueueIntfShapingRateSet_FID                               =   320,  
  openapiCosQueueWredDropParamsSet_FID                                =   321,  
  openapiCosQueueWredDropParamsReset_FID                              =   322,  
  openapiCosQueueWredStatsGet_FID                                     =   323,  
  openapiCosQueueWredStatsClear_FID                                   =   324,  
  openapiCosQueueWredSet_FID                                          =   325,  
/* src/open/api/datacenter/openapi_fip_snooping.c */
  openapiFipSnoopingForceModeSet_FID                                  =   326,  
/* src/open/api/dcbx/openapi_dcbx.c */
  openapiDcbxPortConfigTLVsEnabledGet_FID                             =   327,  
  openapiDcbxVersionSet_FID                                           =   328,  
  openapiDcbxCfgSrcGet_FID                                            =   329,  
  openapiDcbxOperStatusGet_FID                                        =   330,  
  openapiDcbxAutoCfgPortRoleGet_FID                                   =   331,  
  openapiDcbxVersionGet_FID                                           =   332,  
  openapiDcbxPeerVersionGet_FID                                       =   333,  
  openapiDcbxCounterGet_FID                                           =   334,  
  openapiDcbxPeerMacGet_FID                                           =   335,  
  openapiDcbxPeerDescGet_FID                                          =   336,  
  openapiDcbxIsValidIntf_FID                                          =   337,  
  openapiDcbxIntfIsCfgSrcGet_FID                                      =   338,  
  openapiDcbxTimedOutAndMultiPeerCountGet_FID                         =   339,  
  openapiDcbxPortOperationalModeGet_FID                               =   340,  
  openapiDcbxPeerTlvMaskGet_FID                                       =   341,  
  openapiDcbxPortLegacyRemOperVerGet_FID                              =   342,  
  openapiDcbxPortLegacyRemMaxVerGet_FID                               =   343,  
  openapiDcbxPortLegacyRemSeqNumGet_FID                               =   344,  
  openapiDcbxPortLegacyRemRcvdAckNumGet_FID                           =   345,  
  openapiDcbxPortWillingGet_FID                                       =   346,  
  openapiDcbxLocalEtsSchedGet_FID                                     =   347,  
  openapiDcbxLocalEtsBwGet_FID                                        =   348,  
  openapiDcbxAppPriTableGet_FID                                       =   349,  
  openapiDcbxPeerAppPriTableGet_FID                                   =   350,  
  openapiDcbxPortConfigTLVsEnabledSet_FID                             =   351,  
  openapiDcbxAutoCfgPortRoleSet_FID                                   =   352,  
/* src/open/api/dcvpn/openapi_l2ol3tunnel.c */
  openapiL2oL3TunnelCapabilitiesGet_FID                               =   353,  
  openapiL2oL3ResourceLimitsGet_FID                                   =   354,  
  openapiL2oL3ResourceStatsGet_FID                                    =   355,  
  openapiL2oL3SwitchTunnelModeSet_FID                                 =   356,  
  openapiL2oL3SwitchTunnelModeGet_FID                                 =   357,  
  openapiL2oL3SwitchVxlanUdpDestPortSet_FID                           =   358,  
  openapiL2oL3SwitchVxlanUdpDestPortGet_FID                           =   359,  
  openapiL2oL3TunnelLocalIPAddrGet_FID                                =   360,  
  openapiL2oL3TenantCreate_FID                                        =   361,  
  openapiL2oL3TenantDelete_FID                                        =   362,  
  openapiL2oL3TenantGet_FID                                           =   363,  
  openapiL2oL3TenantNextGet_FID                                       =   364,  
  openapiL2oL3AccessPortGet_FID                                       =   365,  
  openapiL2oL3AccessPortNextGet_FID                                   =   366,  
  openapiL2oL3TunnelCreate_FID                                        =   367,  
  openapiL2oL3TunnelDelete_FID                                        =   368,  
  openapiL2oL3TunnelGet_FID                                           =   369,  
  openapiL2oL3TunnelNextGet_FID                                       =   370,  
  openapiL2oL3TunnelCounterGet_FID                                    =   371,  
  openapiL2oL3TunnelCounterClear_FID                                  =   372,  
  openapiL2oL3TenantL2FwdEntryAdd_FID                                 =   373,  
  openapiL2oL3TenantL2FwdEntryDelete_FID                              =   374,  
  openapiL2oL3TenantL2FwdEntryGet_FID                                 =   375,  
  openapiL2oL3TenantL2FwdEntryNextGet_FID                             =   376,  
/* src/open/api/dhcp_client/openapi_dhcp_client.c */
  openapiDhcpClientIPAddrGet_FID                                      =   377,  
  openapiDhcpClientNetMaskGet_FID                                     =   378,  
  openapiDhcpClientDhcpServerIPAddrGet_FID                            =   379,  
  openapiDhcpClientOptionsGet_FID                                     =   380,  
/* src/open/api/dhcp_server/openapi_dhcp_server.c */
  openapiDhcpServerLeaseDataGet_FID                                   =   381,  
  openapiDhcpServerPoolEntryFirstGet_FID                              =   382,  
  openapiDhcpServerPoolEntryNextGet_FID                               =   383,  
  openapiDhcpServerPoolTypeGet_FID                                    =   384,  
  openapiDhcpServerLeaseEntryFirstGet_FID                             =   385,  
  openapiDhcpServerLeaseEntryNextGet_FID                              =   386,  
  openapiDhcpServerStatGet_FID                                        =   387,  
/* src/open/api/dhcp_snooping/openapi_dhcp_snooping.c */
  openapiDhcpSnoopingAdminModeGet_FID                                 =   388,  
  openapiDhcpSnoopingVerifySourceMacGet_FID                           =   389,  
  openapiDhcpSnoopingEnabledVlanRangeNextGet_FID                      =   390,  
  openapiDhcpSnoopingPortEnabledGet_FID                               =   391,  
  openapiDhcpSnoopingIntfTrustedGet_FID                               =   392,  
  openapiDhcpSnoopingIntfLoggedGet_FID                                =   393,  
  openapiDhcpSnoopingDbFileNameMaxLengthGet_FID                       =   394,  
  openapiDhcpSnoopingDbFileNameGet_FID                                =   395,  
  openapiDhcpSnoopingDbIpAddressGet_FID                               =   396,  
  openapiDhcpSnoopingDbWriteDelayGet_FID                              =   397,  
/* src/open/api/dns/openapi_dns.c */
  openapiDNSDefaultDomainNameSet_FID                                  =   398,  
  openapiDNSDefaultDomainNameGet_FID                                  =   399,  
  openapiDNSDomainNameMaxSizeGet_FID                                  =   400,  
  openapiDNSDefaultDomainNameDelete_FID                               =   401,  
  openapiDNSIpNameServerAdd_FID                                       =   402,  
  openapiDNSIpNameServerDelete_FID                                    =   403,  
  openapiDNSIpNameServersNextGet_FID                                  =   404,  
  openapiDNSStaticHostAddressMappingSet_FID                           =   405,  
  openapiDNSStaticHostAddressMappingRemove_FID                        =   406,  
  openapiDNSStaticHostNextGet_FID                                     =   407,  
  openapiDNSStaticHostIpAddrGet_FID                                   =   408,  
  openapiDNSIpNameServersMaxSupportedGet_FID                          =   409,  
  openapiDNSDomainLabelMaximumSizeGet_FID                             =   410,  
  openapiDNSClientInetNameLookup_FID                                  =   411,  
  openapiDNSAdminModeGet_FID                                          =   412,  
  openapiDNSAdminModeSet_FID                                          =   413,  
/* src/open/api/dot1x/openapi_dot1x.c */
  openapiDot1xSystemAuthControlModeGet_FID                            =   414,  
  openapiDot1xSystemAuthControlModeSet_FID                            =   415,  
  openapiDot1xDefaultAuthenMethodGet_FID                              =   416,  
  openapiDot1xDefaultAuthenMethodSet_FID                              =   417,  
  openapiDot1xPortControlModeGet_FID                                  =   418,  
  openapiDot1xPortControlModeSet_FID                                  =   419,  
  openapiDot1xPortGuestVlanGet_FID                                    =   420,  
  openapiDot1xPortGuestVlanSet_FID                                    =   421,  
  openapiDot1xPortMabEnabledGet_FID                                   =   422,  
  openapiDot1xPortMabEnabledSet_FID                                   =   423,  
  openapiDot1xPortOperatingControlModeGet_FID                         =   424,  
  openapiDot1xPortStatusGet_FID                                       =   425,  
  openapiDot1xPortPaeStateGet_FID                                     =   426,  
  openapiDot1xPortBackendAuthStateGet_FID                             =   427,  
  openapiDot1xPortOperationalMabModeGet_FID                           =   428,  
  openapiDot1xPortVlanAssignedGet_FID                                 =   429,  
  openapiDot1xPortVlanAssignedReasonGet_FID                           =   430,  
  openapiDot1xLogicalPortFirstGet_FID                                 =   431,  
  openapiDot1xLogicalPortNextGet_FID                                  =   432,  
  openapiDot1xLogicalPortSupplicantMacAddrGet_FID                     =   433,  
  openapiDot1xLogicalPortVlanAssignmentGet_FID                        =   434,  
  openapiAuthMgrAuthenticationHostModeSet_FID                         =   435,  
  openapiAuthMgrAuthenticationHostModeGet_FID                         =   436,  
  openapiMabPortMABAuthTypeSet_FID                                    =   437,  
  openapiMabPortMABAuthTypeGet_FID                                    =   438,  
  openapiAuthMgrAuthenticationPeriodicSet_FID                         =   439,  
  openapiAuthMgrAuthenticationPeriodicGet_FID                         =   440,  
  openapiAuthMgrAuthenticationReAuthPeriodSet_FID                     =   441,  
  openapiAuthMgrAuthenticationReAuthPeriodGet_FID                     =   442,  
  openapiAuthMgrAuthenticationReAuthPeriodFromServerSet_FID           =   443,  
  openapiAuthMgrAuthenticationReAuthPeriodServerGet_FID               =   444,  
  openapiAuthMgrAdminModeGet_FID                                      =   445,  
  openapiAuthMgrAdminModeSet_FID                                      =   446,  
/* src/open/api/dynamic_arp_inspection/openapi_dynamic_arp_inspection.c */
  openapiArpAclGet_FID                                                =   447,  
  openapiArpAclRuleNextGet_FID                                        =   448,  
  openapiArpAclRuleNextGetV2_FID                                      =   449,  
  openapiArpAclNextGet_FID                                            =   450,  
  openapiDaiSourceMacValidateModeSet_FID                              =   451,  
  openapiDaiSourceMacValidateModeGet_FID                              =   452,  
  openapiDaiDestMacValidateModeSet_FID                                =   453,  
  openapiDaiDestMacValidateModeGet_FID                                =   454,  
  openapiDaiIpAddrValidateModeSet_FID                                 =   455,  
  openapiDaiIpAddrValidateModeGet_FID                                 =   456,  
/* src/open/api/fdb/openapi_fdb.c */
  openapiFdbEntryNextGet_FID                                          =   457,  
  openapiFdbIdGet_FID                                                 =   458,  
  openapiFdbAddrAgingTimeoutGet_FID                                   =   459,  
  openapiFdbAddrAgingTimeoutSet_FID                                   =   460,  
  openapiFdbMaxTableEntriesGet_FID                                    =   461,  
  openapiActiveAddrEntriesGet_FID                                     =   462,  
  openapiFdbMaxCountGet_FID                                           =   463,  
  openapiMaxCountReset_FID                                            =   464,  
  openapiFdbDynamicEntriesGet_FID                                     =   465,  
  openapiFdbInternalEntriesGet_FID                                    =   466,  
  openapiIsRestrFilterMacGet_FID                                      =   467,  
  openapiFdbEntryDelete_FID                                           =   468,  
  openapiFdbTypeOfVLGet_FID                                           =   469,  
  openapiFdbIdNextGet_FID                                             =   470,  
  openapiFdbBadAddsGet_FID                                            =   471,  
  openapiFdbMacMaxHwLimitGet_FID                                      =   472,  
  openapiFdbIntfDynamicEntriesGet_FID                                 =   473,  
  openapiFdbVlanDynamicEntriesGet_FID                                 =   474,  
  openapiFdbIntfInternalEntriesGet_FID                                =   475,  
  openapiFdbVlanInternalEntriesGet_FID                                =   476,  
  openapiFdbFlushByPort_FID                                           =   477,  
  openapiFdbFlushByVlan_FID                                           =   478,  
  openapiFdbFlushByMac_FID                                            =   479,  
  openapiFdbFlush_FID                                                 =   480,  
/* src/open/api/hash/openapi_hash.c */
  openapiHashIntfUnitSlotPortGet_FID                                  =   481,  
  openapiHashDestGet_FID                                              =   482,  
/* src/open/api/instrumentation/openapi_instru_bhd.c */
  openapiBhdSflowSamplingStatusGet_FID                                =   483,  
  openapiBhdBlackHoleCancel_FID                                       =   484,  
  openapiBhdBlackHoleConfigure_FID                                    =   485,  
  openapiBhdAsicCapabilitiesGet_FID                                   =   486,  
  openapiBhdPacketCountGet_FID                                        =   487,  
/* src/open/api/instrumentation/openapi_instru_bst.c */
  openapiBstAsicCapabilityGet_FID                                     =   488,  
  openapiBstConfigSet_FID                                             =   489,  
  openapiBstConfigGet_FID                                             =   490,  
  openapiBstSnapshotGet_FID                                           =   491,  
  openapiBstSnapshotCompressedGet_FID                                 =   492,  
  openapiBstDefaultSnapshotGet_FID                                    =   493,  
  openapiBstDeviceDataGet_FID                                         =   494,  
  openapiBstIppgDataGet_FID                                           =   495,  
  openapiBstIpspDataGet_FID                                           =   496,  
  openapiBstIspDataGet_FID                                            =   497,  
  openapiBstEpspDataGet_FID                                           =   498,  
  openapiBstEspDataGet_FID                                            =   499,  
  openapiBstEucqDataGet_FID                                           =   500,  
  openapiBstEucqgDataGet_FID                                          =   501,  
  openapiBstEmcqDataGet_FID                                           =   502,  
  openapiBstCpuqDataGet_FID                                           =   503,  
  openapiBstRqeqDataGet_FID                                           =   504,  
  openapiBstDeviceThresholdSet_FID                                    =   505,  
  openapiBstIppgThresholdSet_FID                                      =   506,  
  openapiBstIpspThresholdSet_FID                                      =   507,  
  openapiBstIspThresholdSet_FID                                       =   508,  
  openapiBstEpspThresholdSet_FID                                      =   509,  
  openapiBstEspThresholdSet_FID                                       =   510,  
  openapiBstEucqThresholdSet_FID                                      =   511,  
  openapiBstEucqgThresholdSet_FID                                     =   512,  
  openapiBstEmcqThresholdSet_FID                                      =   513,  
  openapiBstCpuqThresholdSet_FID                                      =   514,  
  openapiBstRqeqThresholdSet_FID                                      =   515,  
  openapiBstStatsClear_FID                                            =   516,  
  openapiBstThresholdsClear_FID                                       =   517,  
  openapiBstThresholdGet_FID                                          =   518,  
  openapiBstThresholdCompressedGet_FID                                =   519,  
  openapiBstTriggerEnable_FID                                         =   520,  
  openapiPortMappingGet_FID                                           =   521,  
  openapiBstPortUcastCgsDropGet_FID                                   =   522,  
  openapiBstPortMcastCgsDropGet_FID                                   =   523,  
  openapiBstPortTotalCgsDropGet_FID                                   =   524,  
  openapiBstCgsnDropCtrsClear_FID                                     =   525,  
  openapiBstMultiThresholdSet_FID                                     =   526,  
  openapiClearInstruConfig_FID                                        =   527,  
  openapiBstMultiRealmThresholdSet_FID                                =   528,  
/* src/open/api/instrumentation/openapi_instru_nos.c */
  openapiMacAddrGet_FID                                               =   529,  
  openapiTimeGet_FID                                                  =   530,  
  openapiChipFamilyNameGet_FID                                        =   531,  
  openapiHwMaxPortsGet_FID                                            =   532,  
  openapiLagTranslateToNotation_FID                                   =   533,  
  openapiHttpPortGet_FID                                              =   534,  
  openapiSystemPacketTcamRegister_FID                                 =   535,  
  openapiBstMaxSnapshotGet_FID                                        =   536,  
  openapiBstMaxSnapshotCompressedGet_FID                              =   537,  
  openapiSystemCosqHwqFullMapGet_FID                                  =   538,  
  openapiSystemUCosqHwqMapGet_FID                                     =   539,  
  openapiSystemMCosqHwqMapGet_FID                                     =   540,  
  openapiSystemHwqUCosqMapGet_FID                                     =   541,  
  openapiSystemHwqMCosqMapGet_FID                                     =   542,  
  openapiAsicCapabilityGet_FID                                        =   543,  
  openapiSystemCosqHwqFullMapGetV2_FID                                =   544,  
/* src/open/api/instrumentation/openapi_instru_packet_trace.c */
  openapiPtTrace5TupleProfileCreate_FID                               =   545,  
  openapiPtTrace5TupleProfileDelete_FID                               =   546,  
  openapiPtTraceProfileGet_FID                                        =   547,  
  openapiPtPktDropCtrsProfileCreate_FID                               =   548,  
  openapiPtPktDropReasonInfoGet_FID                                   =   549,  
/* src/open/api/interface/openapi_if.c */
  openapiIfDuplexModeGet_FID                                          =   550,  
  openapiIfSpeedModeGet_FID                                           =   551,  
  openapiIfSpeedSet_FID                                               =   552,  
  openapiIfAutoNegSet_FID                                             =   553,  
  openapiIfMaxFrameSizeSet_FID                                        =   554,  
  openapiIfMtuSizeSet_FID                                             =   555,  
  openapiIfEthernetHeaderSizeGet_FID                                  =   556,  
  openapiIfMtuSizeSetV2_FID                                           =   557,  
  openapiIfSoftShutdownStateGet_FID                                   =   558,  
  openapiIfSoftShutdownStateSet_FID                                   =   559,  
  openapiIfMacAddrSizeGet_FID                                         =   560,  
  openapiIfMacAddrGet_FID                                             =   561,  
  openapiIfDescrSizeGet_FID                                           =   562,  
  openapiIfDescrGet_FID                                               =   563,  
  openapiIfDescrSet_FID                                               =   564,  
  openapiIfAdminStateSet_FID                                          =   565,  
  openapiIfStatusGet_FID                                              =   566,  
  openapiIfNumGet_FID                                                 =   567,  
  openapiIfLastChangeGet_FID                                          =   568,  
  openapiIfInOctetsGet_FID                                            =   569,  
  openapiIfInUcastPktsGet_FID                                         =   570,  
  openapiIfInDiscardsGet_FID                                          =   571,  
  openapiIfInErrorsGet_FID                                            =   572,  
  openapiIfInUnknownProtosGet_FID                                     =   573,  
  openapiIfOutOctetsGet_FID                                           =   574,  
  openapiIfOutUcastPktsGet_FID                                        =   575,  
  openapiIfOutDiscardsGet_FID                                         =   576,  
  openapiIfOutErrorsGet_FID                                           =   577,  
  openapiIfCapabilitiesGet_FID                                        =   578,  
  openapiIfDisableReasonGet_FID                                       =   579,  
  openapiIfExpPortRootPortGet_FID                                     =   580,  
  openapiIfExpPortOperModeLaneCountGet_FID                            =   581,  
  openapiIfExpPortFirstPeerGet_FID                                    =   582,  
  openapiIfPortSpeedLaneCountGet_FID                                  =   583,  
  openapiIfActiveMediaTypeGet_FID                                     =   584,  
  openapiIfPauseStatusGet_FID                                         =   585,  
  openapiIfSpecialPortTypeGet_FID                                     =   586,  
/* src/open/api/ip/openapi_ip.c */
  openapiIpAdEntAddrGet_FID                                           =   587,  
  openapiIpAdEntAddrGetNext_FID                                       =   588,  
  openapiIpEntIfIndexGet_FID                                          =   589,  
  openapiIpAdEntNetMaskGet_FID                                        =   590,  
  openapiIpAdEntBCastGet_FID                                          =   591,  
  openapiIpAdEntReasmMaxSizeGet_FID                                   =   592,  
  openapiInetAton_FID                                                 =   593,  
/* src/open/api/iproutetable/openapi_ip_route_table.c */
  openapiIpRouteEntryGetNext_FID                                      =   594,  
  openapiIpRouteMetricGet_FID                                         =   595,  
  openapiIpRouteAgeGet_FID                                            =   596,  
  openapiIpRouteHwFailureGet_FID                                      =   597,  
  openapiIpRouteNextHopIntfGet_FID                                    =   598,  
  openapiIpRouteNextHopAddrGet_FID                                    =   599,  
/* src/open/api/ipv4_device_tracking/openapi_ipv4_device_tracking.c */
  openapiIpv4dtAdminModeGet_FID                                       =   600,  
  openapiIpv4dtAdminModeSet_FID                                       =   601,  
  openapiIpv4dtProbeModeGet_FID                                       =   602,  
  openapiIpv4dtProbeModeSet_FID                                       =   603,  
  openapiIpv4dtProbeIntervalGet_FID                                   =   604,  
  openapiIpv4dtProbeIntervalSet_FID                                   =   605,  
  openapiIpv4dtProbeCountGet_FID                                      =   606,  
  openapiIpv4dtProbeCountSet_FID                                      =   607,  
  openapiIpv4dtProbeDelayGet_FID                                      =   608,  
  openapiIpv4dtProbeDelaySet_FID                                      =   609,  
  openapiIpv4dtProbeAutoSourceGet_FID                                 =   610,  
  openapiIpv4dtProbeAutoSourceSet_FID                                 =   611,  
  openapiIpv4dtIntfMaxGet_FID                                         =   612,  
  openapiIpv4dtIntfMaxSet_FID                                         =   613,  
  openapiIpv4dtEntriesCountGet_FID                                    =   614,  
  openapiIpv4dtClearEntries_FID                                       =   615,  
  openapiIpv4dtTableGetNext_FID                                       =   616,  
  openapiIpv4dtIntfNextGet_FID                                        =   617,  
  openapiIpv4dtIntfSupported_FID                                      =   618,  
/* src/open/api/issu/openapi_issu.c */
  openapiISSUClientRegister_FID                                       =   619,  
  openapiISSUClientDeRegister_FID                                     =   620,  
  openapiISSUClientStateSaved_FID                                     =   621,  
  openapiISSUClientReady_FID                                          =   622,  
/* src/open/api/lag/openapi_lag.c */
  openapiLagPortAdd_FID                                               =   623,  
  openapiLagPortDelete_FID                                            =   624,  
  openapiLagStaticModeGet_FID                                         =   625,  
  openapiLagStaticModeSet_FID                                         =   626,  
  openapiLagNameMaxLengthGet_FID                                      =   627,  
  openapiLagNameGet_FID                                               =   628,  
  openapiLagNameSet_FID                                               =   629,  
  openapiLagLoadBalanceModeGet_FID                                    =   630,  
  openapiLagLoadBalanceModeSet_FID                                    =   631,  
  openapiLagThresholdMinMaxGet_FID                                    =   632,  
  openapiLagMinUplinksGet_FID                                         =   633,  
  openapiLagMinUplinksSet_FID                                         =   634,  
  openapiLagMaxMemberCountGet_FID                                     =   635,  
  openapiLagMembersGet_FID                                            =   636,  
  openapiLagMembersListGet_FID                                        =   637,  
  openapiLagActiveMembersListGet_FID                                  =   638,  
  openapiLagActiveMembersGet_FID                                      =   639,  
  openapiDot3adAggPortLacpModeGet_FID                                 =   640,  
  openapiDot3adAggPortLacpModeSet_FID                                 =   641,  
  openapiDot3adAggPortActorAdminStateGet_FID                          =   642,  
  openapiDot3adAggPortActorAdminStateSet_FID                          =   643,  
  openapiLagAdminModeGet_FID                                          =   644,  
  openapiLagAdminModeSet_FID                                          =   645,  
/* src/open/api/lldp/openapi_lldp.c */
  openapiLldpMgmtStrLenGet_FID                                        =   646,  
  openapiLldpIntfTransmitModeSet_FID                                  =   647,  
  openapiLldpIntfTransmitModeGet_FID                                  =   648,  
  openapiLldpIntfReceiveModeSet_FID                                   =   649,  
  openapiLldpIntfReceiveModeGet_FID                                   =   650,  
  openapiLldpIntfTLVTransmitModeSet_FID                               =   651,  
  openapiLldpIntfTLVTransmitModeGet_FID                               =   652,  
  openapiLldpIntfNotificationModeSet_FID                              =   653,  
  openapiLldpIntfNotificationModeGet_FID                              =   654,  
  openapiLldpIntfNextGet_FID                                          =   655,  
  openapiLldpIntfRemoteDeviceNextGet_FID                              =   656,  
  openapiLldpIntfRemoteDeviceChassisIdGet_FID                         =   657,  
  openapiLldpIntfRemoteDevicePortIdGet_FID                            =   658,  
  openapiLldpIntfRemoteDeviceSystemNameGet_FID                        =   659,  
  openapiLldpIntfRemoteDeviceSystemDescGet_FID                        =   660,  
  openapiLldpIntfRemoteDevicePortDescGet_FID                          =   661,  
  openapiLldpIntfRemoteDeviceSysCapSuppGet_FID                        =   662,  
  openapiLldpIntfRemoteDeviceSysCapEnabledGet_FID                     =   663,  
  openapiLldpIntfRemoteDeviceMgmtAddressNextGet_FID                   =   664,  
  openapiLldpIntfRemoteDeviceTTLGet_FID                               =   665,  
  openapiLldpIntfLocalDeviceChassisIdGet_FID                          =   666,  
  openapiLldpIntfLocalDevicePortIdGet_FID                             =   667,  
  openapiLldpIntfLocalDeviceSystemNameGet_FID                         =   668,  
  openapiLldpIntfLocalDeviceSystemDescGet_FID                         =   669,  
  openapiLldpIntfLocalDevicePortDescGet_FID                           =   670,  
  openapiLldpIntfLocalDeviceSysCapSuppGet_FID                         =   671,  
  openapiLldpIntfLocalDeviceSysCapEnabledGet_FID                      =   672,  
  openapiLldpIntfLocalDeviceMgmtAddressGet_FID                        =   673,  
  openapiLldpMedIntfModeGet_FID                                       =   674,  
  openapiLldpMedIntfModeSet_FID                                       =   675,  
  openapiLldpMedIntfConfigNotificationModeGet_FID                     =   676,  
  openapiLldpMedIntfConfigNotificationModeSet_FID                     =   677,  
  openapiLldpMedIntfTransmitTlvGet_FID                                =   678,  
  openapiLldpMedIntfTransmitTlvSet_FID                                =   679,  
  openapiLldpMedRemoteCapabilitiesGet_FID                             =   680,  
  openapiLldpMedRemoteDeviceClassGet_FID                              =   681,  
  openapiLldpMedRemoteModelNameSizeGet_FID                            =   682,  
  openapiLldpMedRemoteModelNameGet_FID                                =   683,  
/* src/open/api/logging/openapi_logging.c */
  openapiCliCmdLoggingModeSet_FID                                     =   684,  
  openapiCliCmdLoggingModeGet_FID                                     =   685,  
  openapiPersistentLoggingModeSet_FID                                 =   686,  
  openapiPersistentLoggingSeverityLevelSet_FID                        =   687,  
  openapiPersistentLoggingModeGet_FID                                 =   688,  
  openapiPersistentLoggingSeverityLevelGet_FID                        =   689,  
  openapiSysLogModeSet_FID                                            =   690,  
  openapiSysLogModeGet_FID                                            =   691,  
  openapiSysLogPortSet_FID                                            =   692,  
  openapiSysLogPortGet_FID                                            =   693,  
  openapiConsoleLoggingModeSet_FID                                    =   694,  
  openapiConsoleLoggingModeGet_FID                                    =   695,  
  openapiConsoleLoggingSeveritySet_FID                                =   696,  
  openapiConsoleLoggingSeverityGet_FID                                =   697,  
  openapiLoggingHostAdd_FID                                           =   698,  
  openapiLoggingHostPortSet_FID                                       =   699,  
  openapiLoggingHostSeveritySet_FID                                   =   700,  
  openapiLoggingHostIpAddrNextGet_FID                                 =   701,  
  openapiLoggingHostSeverityGet_FID                                   =   702,  
  openapiLoggingHostPortGet_FID                                       =   703,  
  openapiLoggingHostRemove_FID                                        =   704,  
  openapiLoggingHostMaxAddrLenGet_FID                                 =   705,  
  openapiMaxLoggingHostsSupportedGet_FID                              =   706,  
  openapiSysLogWrite_FID                                              =   707,  
  openapiBufferedLogEntryNextGet_FID                                  =   708,  
  openapiBufferedLogClear_FID                                         =   709,  
  openapiTrapLogGet_FID                                               =   710,  
  openapiTrapLogClear_FID                                             =   711,  
/* src/open/api/mfdb/openapi_mfdb.c */
  openapiMfdbEntryProtocolGetExact_FID                                =   712,  
  openapiMfdbEntryGetFirst_FID                                        =   713,  
  openapiMfdbEntryGetNext_FID                                         =   714,  
  openapiMfdbEntryDataGet_FID                                         =   715,  
  openapiMfdbComponentEntryGetNext_FID                                =   716,  
  openapiMfdbEntryFwdIntfGetExact_FID                                 =   717,  
  openapiMfdbEntryFwdIntfGetNext_FID                                  =   718,  
  openapiMfdbEntryLearntIntfGetNext_FID                               =   719,  
  openapiMfdbMaxTableEntriesGet_FID                                   =   720,  
  openapiMfdbMostEntriesGet_FID                                       =   721,  
  openapiMfdbCurrEntriesGet_FID                                       =   722,  
/* src/open/api/mirror/openapi_mirror.c */
  openapiSwPortMonitorSourcePortsListGet_FID                          =   723,  
  openapiMirrorSourcePortDirectionGet_FID                             =   724,  
  openapiSwPortMonitorSourcePortAdd_FID                               =   725,  
  openapiSwPortMonitorSourcePortRemove_FID                            =   726,  
  openapiSwPortMonitorDestPortGet_FID                                 =   727,  
  openapiSwPortMonitorDestPortSet_FID                                 =   728,  
  openapiSwPortMonitorDestPortRemove_FID                              =   729,  
  openapiSwPortMonitorModeGet_FID                                     =   730,  
  openapiSwPortMonitorModeSet_FID                                     =   731,  
  openapiSwPortMonitorSessionCount_FID                                =   732,  
  openapiSwPortMonitorConfigRemove_FID                                =   733,  
  openapiSwPortMonitorSessionRemove_FID                               =   734,  
  openapiSwPortMonitorIsDestConfigured_FID                            =   735,  
  openapiSwPortMonitorIsSrcConfigured_FID                             =   736,  
  openapiSwPortMonitorSrcConfiguredSessionGet_FID                     =   737,  
  openapiSwPortMonitorIsValidSrcPort_FID                              =   738,  
  openapiSwPortMonitorIsValidDestPort_FID                             =   739,  
  openapiSwPortMonitorValidSrcIntfFirstGet_FID                        =   740,  
  openapiSwPortMonitorValidSrcIntfNextGet_FID                         =   741,  
  openapiSwPortMonitorValidSrcIntfListGet_FID                         =   742,  
  openapiSwPortMonitorValidDestIntfFirstGet_FID                       =   743,  
  openapiSwPortMonitorValidDestIntfNextGet_FID                        =   744,  
  openapiSwPortMonitorValidDestIntfListGet_FID                        =   745,  
  openapiSwMonitorVlanListGet_FID                                     =   746,  
  openapiSwMonitorVlanListSet_FID                                     =   747,  
  openapiSwMonitorSrcTypeGet_FID                                      =   748,  
  openapiSwMonitorDstTypeGet_FID                                      =   749,  
  openapiSwMonitorRemoteSrcVlanGet_FID                                =   750,  
  openapiSwRemoteMonitorSrcVlanSet_FID                                =   751,  
  openapiSwMonitorRemoteDstVlanGet_FID                                =   752,  
  openapiSwRemoteMonitorDstVlanSet_FID                                =   753,  
  openapiSwMonitorReflectorPortGet_FID                                =   754,  
  openapiSwMonitorReflectorPortSet_FID                                =   755,  
  openapiSwMonitorIpAclGet_FID                                        =   756,  
  openapiSwMonitorIpAclSet_FID                                        =   757,  
  openapiSwMonitorMacAclGet_FID                                       =   758,  
  openapiSwMonitorMacAclSet_FID                                       =   759,  
  openapiRemoteSpanVlanGet_FID                                        =   760,  
  openapiRemoteSpanVlanNextGet_FID                                    =   761,  
  openapiRemoteSpanVlanListGet_FID                                    =   762,  
  openapiRemoteSpanVlanSet_FID                                        =   763,  
  openapiMirrorIsRspanVlan_FID                                        =   764,  
  openapiMirrorIsSrcVlan_FID                                          =   765,  
  openapiMirrorSessionReserveStateGet_FID                             =   766,  
  openapiMirrorSessionReserveStateSet_FID                             =   767,  
/* src/open/api/mpls/openapi_mpls.c */
  openapiMplsBgpIntfLabelSet_FID                                      =   768,  
  openapiMplsBgpIntfLabelGet_FID                                      =   769,  
  openapiMplsCountersClear_FID                                        =   770,  
  openapiMplsGlobalStatusGet_FID                                      =   771,  
  openapiMplsBgpLabelModeGet_FID                                      =   772,  
  openapiMplsBgpLabelModeSet_FID                                      =   773,  
  openapiMplsLfdbGet_FID                                              =   774,  
  openapiMplsLfdbNextGet_FID                                          =   775,  
  openapiMplsLfdbCreate_FID                                           =   776,  
  openapiMplsLfdbDelete_FID                                           =   777,  
  openapiMplsTunnelInitiatorGet_FID                                   =   778,  
  openapiMplsTunnelInitiatorGetNext_FID                               =   779,  
/* src/open/api/ospf/openapi_ospf_config.c */
  openapiOspfMapAreaSummaryGet_FID                                    =   780,  
  openapiOspfMapAreaSummarySet_FID                                    =   781,  
  openapiOspfMapAutoCostRefBwGet_FID                                  =   782,  
  openapiOspfMapAutoCostRefBwSet_FID                                  =   783,  
  openapiOspfMapImportAsExternGet_FID                                 =   784,  
  openapiOspfMapImportAsExternSet_FID                                 =   785,  
  openapiOspfMapIntfAdminModeGet_FID                                  =   786,  
  openapiOspfMapIntfAdminModeSet_FID                                  =   787,  
  openapiOspfMapIntfAreaIdGet_FID                                     =   788,  
  openapiOspfMapIntfAreaIdSet_FID                                     =   789,  
  openapiOspfMapIntfDeadIntervalGet_FID                               =   790,  
  openapiOspfMapIntfDeadIntervalSet_FID                               =   791,  
  openapiOspfMapIntfHelloIntervalGet_FID                              =   792,  
  openapiOspfMapIntfHelloIntervalSet_FID                              =   793,  
  openapiOspfMapIntfMetricValueGet_FID                                =   794,  
  openapiOspfMapIntfMetricValueSet_FID                                =   795,  
  openapiOspfMapIntfPassiveModeGet_FID                                =   796,  
  openapiOspfMapIntfPassiveModeSet_FID                                =   797,  
  openapiOspfMapIntfSecondariesFlagGet_FID                            =   798,  
  openapiOspfMapIntfSecondariesFlagSet_FID                            =   799,  
  openapiOspfMapIntfTypeGet_FID                                       =   800,  
  openapiOspfMapIntfTypeSet_FID                                       =   801,  
  openapiOspfMapLogAdjChngGet_FID                                     =   802,  
  openapiOspfMapLogAdjChngSet_FID                                     =   803,  
  openapiOspfMapMaxPathsGet_FID                                       =   804,  
  openapiOspfMapMaxPathsSet_FID                                       =   805,  
  openapiOspfMapNetworkAreaEntryDelete_FID                            =   806,  
  openapiOspfMapNetworkAreaEntryGet_FID                               =   807,  
  openapiOspfMapNetworkAreaEntrySet_FID                               =   808,  
  openapiOspfMapNSSAImportSummariesGet_FID                            =   809,  
  openapiOspfMapNSSAImportSummariesSet_FID                            =   810,  
  openapiOspfMapRedistributionSet_FID                                 =   811,  
  openapiOspfMapRouterIdGet_FID                                       =   812,  
  openapiOspfMapRouterIdSet_FID                                       =   813,  
  openapiOspfMapRfc1583CompatibilityGet_FID                           =   814,  
  openapiOspfMapRfc1583CompatibilitySet_FID                           =   815,  
  openapiOspfMapSpfDelayTimeGet_FID                                   =   816,  
  openapiOspfMapSpfDelayTimeSet_FID                                   =   817,  
  openapiOspfMapSpfHoldTimeGet_FID                                    =   818,  
  openapiOspfMapSpfHoldTimeSet_FID                                    =   819,  
  openapiOspfMapStubRtrModeGet_FID                                    =   820,  
  openapiOspfMapStubRtrModeSet_FID                                    =   821,  
  openapiOspfMapStubRtrSumLsaMetricOverride_FID                       =   822,  
  openapiOspfTrapModeGet_FID                                          =   823,  
  openapiOspfTrapModeSet_FID                                          =   824,  
/* src/open/api/packet/openapi_pkt.c */
  openapiExtPktTransmit_FID                                           =   825,  
/* src/open/api/pfc/openapi_pfc.c */
  openapiPfcPeerIncompatibleCfgCountGet_FID                           =   826,  
  openapiPfcPeerWillingGet_FID                                        =   827,  
  openapiPfcPeerMbcStatusGet_FID                                      =   828,  
  openapiPfcPeerCapabilityGet_FID                                     =   829,  
  openapiPfcAdvPriorityModeGet_FID                                    =   830,  
  openapiPfcPeerPriorityModeGet_FID                                   =   831,  
  openapiIfPfcModeSet_FID                                             =   832,  
  openapiIfPfcPriorityModeSet_FID                                     =   833,  
  openapiPfcMinNoDropPriorityGet_FID                                  =   834,  
  openapiPfcMaxNoDropPriorityGet_FID                                  =   835,  
  openapiIfPfcStatsClear_FID                                          =   836,  
  openapiIfPfcStatusGet_FID                                           =   837,  
  openapiIfPfcModeGet_FID                                             =   838,  
  openapiIfPfcPriorityModeGet_FID                                     =   839,  
  openapiPfcOprPriorityModeGet_FID                                    =   840,  
  openapiPfcOperLinkDelayAllowanceGet_FID                             =   841,  
  openapiPfcPeerCfgCompatibleGet_FID                                  =   842,  
  openapiPfcPeerCompatibleCfgCountGet_FID                             =   843,  
  openapiIfPfcRxPriorityStatGet_FID                                   =   844,  
  openapiPfcTxPriorityStatGet_FID                                     =   845,  
  openapiIfPfcRxStatGet_FID                                           =   846,  
  openapiIfPfcTxStatGet_FID                                           =   847,  
/* src/open/api/ping/openapi_ping.c */
#if defined (L7_IPV6_PACKAGE) || defined (L7_IPV6_MGMT_PACKAGE)
#endif
  openapiPingAddress_FID                                              =   848,  
  openapiPingAddressWithCount_FID                                     =   849,  
  openapiPingAddressWithInterval_FID                                  =   850,  
  openapiPingAddressWithPDUSize_FID                                   =   851,  
  openapiPingAddressWithSourceInterface_FID                           =   852,  
  openapiPingAddressExplicit_FID                                      =   853,  
/* src/open/api/pml/openapi_pml.c */
  openapiPmlGlobalAdminModeGet_FID                                    =   854,  
  openapiPmlIntfIsValid_FID                                           =   855,  
  openapiPmlIntfModeGet_FID                                           =   856,  
  openapiPmlIntfDynamicLimitGet_FID                                   =   857,  
  openapiPmlIntfStaticLimitGet_FID                                    =   858,  
  openapiPmlIntfViolationTrapModeGet_FID                              =   859,  
  openapiPmlIntfViolationDDisableModeGet_FID                          =   860,  
  openapiPmlIntfStickyModeGet_FID                                     =   861,  
/* src/open/api/pw_scramble/openapi_pw_scramble.c */
  openapiPwDecrypt_FID                                                =   862,  
/* src/open/api/radius/openapi_radius.c */
  openapiRadiusServerAddressMaxLengthGet_FID                          =   863,  
  openapiRadiusServerNameMaxLengthGet_FID                             =   864,  
  openapiRadiusAuthServerAdd_FID                                      =   865,  
  openapiRadiusAuthServerRemove_FID                                   =   866,  
  openapiRadiusAuthServerPortNumSet_FID                               =   867,  
  openapiRadiusAuthServerPortNumGet_FID                               =   868,  
  openapiRadiusAuthServerTypeSet_FID                                  =   869,  
  openapiRadiusAuthServerTypeGet_FID                                  =   870,  
  openapiRadiusAuthServerAttribute4Set_FID                            =   871,  
  openapiRadiusAuthServerAttribute4Get_FID                            =   872,  
  openapiRadiusSharedSecretMaxLengthGet_FID                           =   873,  
  openapiRadiusEncryptedSharedSecretSizeGet_FID                       =   874,  
  openapiRadiusAuthServerSharedSecretEncryptedSet_FID                 =   875,  
/* src/open/api/routing/openapi_routing.c */
#ifdef L7_BFD_PACKAGE
#endif 
  openapiRouterEventRegister_FID                                      =   876,  
  openapiRouterEventDeregister_FID                                    =   877,  
  openapiRouterEventAcknowledge_FID                                   =   878,  
  openapiMaxRoutingInterfacesGet_FID                                  =   879,  
  openapiBestRouteEventRegister_FID                                   =   880,  
  openapiBestRouteEventDeregister_FID                                 =   881,  
  openapiBestRouteChangeNextGetMult_FID                               =   882,  
  openapiBestRouteChangeNextGet_FID                                   =   883,  
  openapiIntfBestRoutesNextGet_FID                                    =   884,  
  openapiMaxNextHopsGet_FID                                           =   885,  
  openapiRoutingProtocolRegister_FID                                  =   886,  
  openapiRouteTypeRegister_FID                                        =   887,  
  openapiRoutingProtocolDeregister_FID                                =   888,  
  openapiRouteTypeDeregister_FID                                      =   889,  
  openapiExternalRoutesSaveRegister_FID                               =   890,  
  openapiExternalRoutesSaveDeRegister_FID                             =   891,  
  openapiRouteTypeInfoGet_FID                                         =   892,  
  openapiRouteProtoNameLenMax_FID                                     =   893,  
  openapiRouteTypeNameLenMax_FID                                      =   894,  
  openapiRouteAdd_FID                                                 =   895,  
  openapiRouteDel_FID                                                 =   896,  
  openapiRouteMod_FID                                                 =   897,  
  openapiBestRouteNextGet_FID                                         =   898,  
  openapiBestRouteNextGetVr_FID                                       =   899,  
  openapiRouteNextGet_FID                                             =   900,  
  openapiBestRouteLookup_FID                                          =   901,  
  openapiPrefixFind_FID                                               =   902,  
  openapiPrefixFindVr_FID                                             =   903,  
  openapiArpResolve_FID                                               =   904,  
  openapiRtrAdminModeGet_FID                                          =   905,  
  openapiRoutingStartupStatus_FID                                     =   906,  
  openapiRoutingStartupStatusVr_FID                                   =   907,  
  openapiRtrIntfNextGet_FID                                           =   908,  
  openapiRtrIntfNextGetVrf_FID                                        =   909,  
  openapiRtrIntfTypeGet_FID                                           =   910,  
  openapiIntfIsUnnumbered_FID                                         =   911,  
  openapiVrfNameGet_FID                                               =   912,  
  openapiRtrIntfVlanIdGet_FID                                         =   913,  
  openapiRtrIntfLoopbackIdGet_FID                                     =   914,  
  openapiRtrLoopbackIntIfNumGet_FID                                   =   915,  
  openapiIntfNameSizeGet_FID                                          =   916,  
  openapiRtrIntfNameGet_FID                                           =   917,  
  openapiStackIfIndexIntIfNumGet_FID                                  =   918,  
  openapiRtrIntfIpStackIfIndexGet_FID                                 =   919,  
  openapiRtrIntfIpStackIfNameGet_FID                                  =   920,  
  openapiRtrIntfIpStackStkNameGet_FID                                 =   921,  
  openapiRtrIntfIpStackDrvNameGet_FID                                 =   922,  
  openapiVrfIntfNameGet_FID                                           =   923,  
  openapiVrfNameNextGet_FID                                           =   924,  
  openapiRtrIntfUnitSlotPortGet_FID                                   =   925,  
  openapiRtrIntfL3MacAddressGet_FID                                   =   926,  
  openapiRtrIntfOperModeGet_FID                                       =   927,  
  openapiRtrIntfIpAddrGet_FID                                         =   928,  
  openapiRtrIntfSecIpAddrGet_FID                                      =   929,  
  openapiRtrIntfIpAddrMethodGet_FID                                   =   930,  
  openapiIntfIpMtuGet_FID                                             =   931,  
  openapiIntfBandwidthGet_FID                                         =   932,  
  openapiRtrICMPUnreachablesModeGet_FID                               =   933,  
  openapiRtrICMPRedirectsModeGet_FID                                  =   934,  
  openapiRtrICMPRatelimitGet_FID                                      =   935,  
  openapiRtrICMPEchoReplyModeGet_FID                                  =   936,  
  openapiPrefixListApply_FID                                          =   937,  
  openapiRouteMapApply_FID                                            =   938,  
  openapiRoutingPolicyRegister_FID                                    =   939,  
  openapiPolicyChangeAck_FID                                          =   940,  
  openapiIpRouterPreferenceGet_FID                                    =   941,  
  openapiIpRouterPreferenceSet_FID                                    =   942,  
  openapiIp6RouterPreferenceGet_FID                                   =   943,  
  openapiIp6RouterPreferenceSet_FID                                   =   944,  
  openapiIpRouterProtoNameNextGet_FID                                 =   945,  
  openapiBestRouteEventRegisterVr_FID                                 =   946,  
  openapiRouteAddVr_FID                                               =   947,  
  openapiBfdModeSet_FID                                               =   948,  
  openapiBfdSessionCreate_FID                                         =   949,  
  openapiBfdSessionDelete_FID                                         =   950,  
  openapiBfdSessionFind_FID                                           =   951,  
  openapiBfdSessionInfoGet_FID                                        =   952,  
  openapiBfdSessionStatsGet_FID                                       =   953,  
  openapiKernelRouteAddVr_FID                                         =   954,  
  openapiRouteModVr_FID                                               =   955,  
  openapiRouteDelVr_FID                                               =   956,  
  openapiKernelRouteDelVr_FID                                         =   957,  
  openapiRtoFreeRouteCountGet_FID                                     =   958,  
  openapiRtrAdminModeGetVrf_FID                                       =   959,  
  openapiPlatRtrRouteMaxEqualCostEntriesGet_FID                       =   960,  
  openapiPlatRtrRouteMaxEntriesGet_FID                                =   961,  
  openapiIpMapNsfRouteSource_FID                                      =   962,  
  openapiIpMapInitialRoutesDone_FID                                   =   963,  
  openapiIpMapIsBackupElectedGet_FID                                  =   964,  
  openapiUnnumberedPeerInfoSet_FID                                    =   965,  
  openapiKernelArpAdd_FID                                             =   966,  
  openapiKernelArpDelete_FID                                          =   967,  
  openapiIpRouterPreferenceGetVr_FID                                  =   968,  
  openapiVrAgentProbeResultIpSlaNotify_FID                            =   969,  
/* src/open/api/routing/openapi_routing_arptable.c */
  openapiArpEntryVrfNextGet_FID                                       =   970,  
  openapiArpEntryInfoGet_FID                                          =   971,  
  openapiArpAgeTimeGet_FID                                            =   972,  
  openapiArpResponseTimeGet_FID                                       =   973,  
  openapiArpNumRetriesGet_FID                                         =   974,  
  openapiArpCacheSizeGet_FID                                          =   975,  
  openapiArpDynamicRenewModeGet_FID                                   =   976,  
  openapiArpTotalEntryCountInfoGet_FID                                =   977,  
  openapiArpStaticEntryCountInfoGet_FID                               =   978,  
/* src/open/api/routing/openapi_routing_config.c */
  openapiRtrAdminModeSet_FID                                          =   979,  
  openapiRtrIntfIpAddrAdd_FID                                         =   980,  
  openapiRtrIntfIpAddrDel_FID                                         =   981,  
  openapiArpEntryAdd_FID                                              =   982,  
  openapiArpEntryDel_FID                                              =   983,  
  openapiArpEntryNextGet_FID                                          =   984,  
  openapiIpRedirectsModeSet_FID                                       =   985,  
  openapiIpICMPEchoReplyModeSet_FID                                   =   986,  
  openapiIpHelperModeSet_FID                                          =   987,  
  openapiIpHelperAddressAdd_FID                                       =   988,  
  openapiIpHelperAddressDel_FID                                       =   989,  
  openapiRtrIntfIpHelperAddressAdd_FID                                =   990,  
  openapiRtrIntfIpHelperAddressDel_FID                                =   991,  
  openapiRtrIntfIpHelperDiscardAdd_FID                                =   992,  
  openapiRtrIntfIpHelperDiscardDel_FID                                =   993,  
  openapiRtrIntfMTUSet_FID                                            =   994,  
  openapiRtrIntfIpNetDirBroadcastModeSet_FID                          =   995,  
  openapiRtrIntfIpProxyArpModeSet_FID                                 =   996,  
  openapiRtrIntfIpRedirectsModeSet_FID                                =   997,  
  openapiRtrIntfIpDestUnreachableModeSet_FID                          =   998,  
  openapiRtrIntfRtrAdminModeSet_FID                                   =   999,  
  openapiIpRouteAdd_FID                                               =  1000,  
  openapiIpRouteDel_FID                                               =  1001,  
  openapiRtrVlanIntfCreate_FID                                        =  1002,  
  openapiRtrVlanIntfDelete_FID                                        =  1003,  
  openapiRtrVlanIntfIfNumGet_FID                                      =  1004,  
/* src/open/api/routing/openapi_routing_stats.c */
  openapiNumEcmpRoutesGet_FID                                         =  1005,  
  openapiNumIpv6PrefixesGet_FID                                       =  1006,  
  openapiIpv4NumRoutingProtocolsGet_FID                               =  1007,  
  openapiIpv6NumRoutingProtocolsGet_FID                               =  1008,  
  openapiIpv4RouteTableStatsGet_FID                                   =  1009,  
  openapiIpv6RouteTableStatsGet_FID                                   =  1010,  
  openapiIpv4EcmpRouteProtocolCountsGet_FID                           =  1011,  
  openapiIpv6EcmpRouteProtocolCountsGet_FID                           =  1012,  
  openapiIpMapProtoRouteTypeNextGet_FID                               =  1013,  
  openapiIpMapDynamicProtoNextGet_FID                                 =  1014,  
  openapiIpMapProtoNameLenGet_FID                                     =  1015,  
  openapiIpMapProtoNameGet_FID                                        =  1016,  
  openapiIpMapRouteTypeNameLenGet_FID                                 =  1017,  
  openapiIpMapRouteTypeNameGet_FID                                    =  1018,  
  openapiGetReportableRouteStats_FID                                  =  1019,  
/* src/open/api/serviceability/openapi_suppfile.c */
  openapiSupportFileGenerate_FID                                      =  1020,  
/* src/open/api/sflow/openapi_sflow.c */
  openapiSflowSourceInterfaceGet_FID                                  =  1021,  
  openapiSflowSourceInterfaceSet_FID                                  =  1022,  
  openapiSflowRemoteAgentSourceInterfaceGet_FID                       =  1023,  
  openapiSflowRemoteAgentSourceInterfaceSet_FID                       =  1024,  
  openapiSflowRemoteAgentSourceIpv4AddrGet_FID                        =  1025,  
  openapiSflowRemoteAgentSourceIpv6AddrGet_FID                        =  1026,  
  openapiSflowSourceIpv4AddrGet_FID                                   =  1027,  
  openapiSflowSourceIpv6AddrGet_FID                                   =  1028,  
  openapiSflowRcvrCountGet_FID                                        =  1029,  
  openapiSflowRcvrOwnerStringLenGet_FID                               =  1030,  
  openapiSflowRcvrOwnerGet_FID                                        =  1031,  
  openapiSflowRcvrOwnerSet_FID                                        =  1032,  
  openapiSflowRcvrTimeRemainingGet_FID                                =  1033,  
  openapiSflowRcvrAddressGet_FID                                      =  1034,  
  openapiSflowRcvrAddressSet_FID                                      =  1035,  
  openapiSflowRcvrPortGet_FID                                         =  1036,  
  openapiSflowRcvrPortSet_FID                                         =  1037,  
  openapiSflowRcvrMaxDatagramSizeRangeGet_FID                         =  1038,  
  openapiSflowRcvrMaxDatagramSizeGet_FID                              =  1039,  
  openapiSflowRcvrMaxDatagramSizeSet_FID                              =  1040,  
  openapiSflowInstanceRangeGet_FID                                    =  1041,  
  openapiSflowFsRcvrIndexGet_FID                                      =  1042,  
  openapiSflowFsRcvrIndexSet_FID                                      =  1043,  
  openapiSflowFsPacketSamplingRateRangeGet_FID                        =  1044,  
  openapiSflowFsPacketSamplingRateGet_FID                             =  1045,  
  openapiSflowFsPacketSamplingRateSet_FID                             =  1046,  
  openapiSflowFsMaximumHeaderSizeRangeGet_FID                         =  1047,  
  openapiSflowFsMaximumHeaderSizeGet_FID                              =  1048,  
  openapiSflowFsMaximumHeaderSizeSet_FID                              =  1049,  
  openapiSflowSamplerIpAclGet_FID                                     =  1050,  
  openapiSflowSamplerIpAclSet_FID                                     =  1051,  
  openapiSflowSamplerMacAclGet_FID                                    =  1052,  
  openapiSflowSamplerMacAclSet_FID                                    =  1053,  
  openapiSflowCpRcvrIndexGet_FID                                      =  1054,  
  openapiSflowCpRcvrIndexSet_FID                                      =  1055,  
  openapiSflowCpIntervalRangeGet_FID                                  =  1056,  
  openapiSflowCpIntervalGet_FID                                       =  1057,  
  openapiSflowCpIntervalSet_FID                                       =  1058,  
  openapiSflowFsRemoteAgentMaxIndexGet_FID                            =  1059,  
  openapiSflowFsRemoteAgentIndexGet_FID                               =  1060,  
  openapiSflowFsRemoteAgentIndexSet_FID                               =  1061,  
  openapiSflowFsRemoteAgentMaxMonitorSessionIdGet_FID                 =  1062,  
  openapiSflowRemoteAgentMonitorSessionGet_FID                        =  1063,  
  openapiSflowRemoteAgentMonitorSessionSet_FID                        =  1064,  
  openapiSflowRemoteAgentAddressGet_FID                               =  1065,  
  openapiSflowRemoteAgentAddressSet_FID                               =  1066,  
  openapiSflowRemoteAgentUdpDestPortGet_FID                           =  1067,  
  openapiSflowRemoteAgentUdpDestPortSet_FID                           =  1068,  
  openapiSflowRemoteAgentMonitorSessionDestIfaceGet_FID               =  1069,  
  openapiSflowRemoteAgentMonitorSessionDestIfaceSet_FID               =  1070,  
/* src/open/api/snmp/openapi_snmp.c */
#if !L7_FEAT_SNMP_CONFAPI
#endif
  openapiSnmpCommunityCreate_FID                                      =  1071,  
  openapiSnmpCommunityDelete_FID                                      =  1072,  
  openapiSnmpCommunityGetNext_FID                                     =  1073,  
  openapiSnmpCommunityGroupCreate_FID                                 =  1074,  
  openapiSnmpFilterCreate_FID                                         =  1075,  
  openapiSnmpFilterDelete_FID                                         =  1076,  
  openapiSnmpFilterGetNext_FID                                        =  1077,  
  openapiSnmpGroupCreate_FID                                          =  1078,  
  openapiSnmpGroupDelete_FID                                          =  1079,  
  openapiSnmpGroupGetNext_FID                                         =  1080,  
  openapiSnmpLocalEngineIdDelete_FID                                  =  1081,  
  openapiSnmpLocalEngineIdGet_FID                                     =  1082,  
  openapiSnmpLocalEngineIdSet_FID                                     =  1083,  
  openapiSnmpUserCreate_FID                                           =  1084,  
  openapiSnmpUserDelete_FID                                           =  1085,  
  openapiSnmpUserGetNext_FID                                          =  1086,  
  openapiSnmpHostDelete_FID                                           =  1087,  
  openapiSnmpHostCreate_FID                                           =  1088,  
  openapiSnmpHostGetNext_FID                                          =  1089,  
  openapiSnmpTrapFlagGet_FID                                          =  1090,  
  openapiSnmpTrapFlagSet_FID                                          =  1091,  
  openapiSnmpTrapSrcIntfGet_FID                                       =  1092,  
  openapiSnmpTrapSrcIntfSet_FID                                       =  1093,  
  openapiSnmpViewCreate_FID                                           =  1094,  
  openapiSnmpViewGetNext_FID                                          =  1095,  
  openapiSnmpViewDelete_FID                                           =  1096,  
  openapiSnmpTreeFamilyOidStringGet_FID                               =  1097,  
  openapiSnmpTreeFamilyOidValGet_FID                                  =  1098,  
  openapiSnmpSysNameGet_FID                                           =  1099,  
  openapiSnmpSysNameSet_FID                                           =  1100,  
  openapiSnmpSysContactGet_FID                                        =  1101,  
  openapiSnmpSysContactSet_FID                                        =  1102,  
  openapiSnmpSysLocationGet_FID                                       =  1103,  
  openapiSnmpSysLocationSet_FID                                       =  1104,  
  openapiSnmpCommunityAndIPAddrCreate_FID                             =  1105,  
  openapiSnmpCommunityAndIPAddrDelete_FID                             =  1106,  
  openapiSnmpCommunityAndIPAddrGet_FID                                =  1107,  
  openapiSnmpCommunityAndIPAddrGetNext_FID                            =  1108,  
  openapiTrapManagerConfigCreate_FID                                  =  1109,  
  openapiTrapManagerConfigDelete_FID                                  =  1110,  
  openapiTrapManagerConfigGet_FID                                     =  1111,  
  openapiTrapManagerConfigCommunityGetNext_FID                        =  1112,  
  openapiTrapManagerConfigIPGetNext_FID                               =  1113,  
/* src/open/api/snooping/openapi_snooping.c */
  openapiSnoopProtocolGet_FID                                         =  1114,  
  openapiSnoopAdminModeGet_FID                                        =  1115,  
  openapiSnoopAdminModeSet_FID                                        =  1116,  
  openapiSnoopControlFramesProcessedGet_FID                           =  1117,  
  openapiSnoopDataFramesForwardedGet_FID                              =  1118,  
  openapiSnoopProxyQuerierAdminModeGet_FID                            =  1119,  
  openapiSnoopProxyQuerierAdminModeSet_FID                            =  1120,  
  openapiSnoopFloodUnknownAllPortsGet_FID                             =  1121,  
  openapiSnoopFloodUnknownAllPortsSet_FID                             =  1122,  
  openapiSnoopEntriesFlush_FID                                        =  1123,  
  openapiSnoopIntfEnabledMaskGet_FID                                  =  1124,  
  openapiSnoopIntfEnabledMaskSet_FID                                  =  1125,  
  openapiSnoopIntfModeGet_FID                                         =  1126,  
  openapiSnoopIntfModeSet_FID                                         =  1127,  
  openapiSnoopIntfGroupMembershipIntervalGet_FID                      =  1128,  
  openapiSnoopIntfGroupMembershipIntervalSet_FID                      =  1129,  
  openapiSnoopIntfResponseTimeGet_FID                                 =  1130,  
  openapiSnoopIntfResponseTimeSet_FID                                 =  1131,  
  openapiSnoopIntfFastLeaveAdminModeGet_FID                           =  1132,  
  openapiSnoopIntfFastLeaveAdminModeSet_FID                           =  1133,  
  openapiSnoopIntfProxyQuerierModeGet_FID                             =  1134,  
  openapiSnoopIntfProxyQuerierModeSet_FID                             =  1135,  
  openapiSnoopIsValidIntf_FID                                         =  1136,  
  openapiSnoopSSMGroupFilterModeGet_FID                               =  1137,  
  openapiSnoopSSMGroupLastReporterGet_FID                             =  1138,  
  openapiSnoopSSMGroupRecordFirstGet_FID                              =  1139,  
  openapiSnoopSSMGroupRecordNextGet_FID                               =  1140,  
  openapiSnoopSSMMfdbCurrEntriesGet_FID                               =  1141,  
  openapiSnoopSSMMfdbEntryExcPortMaskGet_FID                          =  1142,  
  openapiSnoopSSMMfdbEntryFirstGet_FID                                =  1143,  
  openapiSnoopSSMMfdbEntryIncPortMaskGet_FID                          =  1144,  
  openapiSnoopSSMMfdbEntryNextGet_FID                                 =  1145,  
  openapiSnoopSSMMfdbMaxTableEntriesGet_FID                           =  1146,  
  openapiSnoopSSMMfdbMostEntriesGet_FID                               =  1147,  
  openapiSnoopSSMSrcListEntryGet_FID                                  =  1148,  
  openapiSnoopSSMSrcListEntryNextGet_FID                              =  1149,  
  openapiSnoopVlanCheckValid_FID                                      =  1150,  
  openapiSnoopVlanFastLeaveModeGet_FID                                =  1151,  
  openapiSnoopVlanFastLeaveModeSet_FID                                =  1152,  
  openapiSnoopVlanGroupMembershipIntervalGet_FID                      =  1153,  
  openapiSnoopVlanGroupMembershipIntervalSet_FID                      =  1154,  
  openapiSnoopVlanMaximumResponseTimeGet_FID                          =  1155,  
  openapiSnoopVlanMaximumResponseTimeSet_FID                          =  1156,  
  openapiSnoopVlanModeGet_FID                                         =  1157,  
  openapiSnoopVlanModeSet_FID                                         =  1158,  
  openapiSnoopVlanNextGet_FID                                         =  1159,  
  openapiSnoopVlanProxyQuerierModeGet_FID                             =  1160,  
  openapiSnoopVlanProxyQuerierModeSet_FID                             =  1161,  
  openapiSnoopVlanReportSuppModeGet_FID                               =  1162,  
  openapiSnoopVlanReportSuppModeSet_FID                               =  1163,  
  openapiSnoopQuerierAddressGet_FID                                   =  1164,  
  openapiSnoopQuerierAddressSet_FID                                   =  1165,  
  openapiSnoopQuerierAdminModeGet_FID                                 =  1166,  
  openapiSnoopQuerierAdminModeSet_FID                                 =  1167,  
  openapiSnoopQuerierExpiryIntervalGet_FID                            =  1168,  
  openapiSnoopQuerierExpiryIntervalSet_FID                            =  1169,  
  openapiSnoopQuerierLastQuerierAddressGet_FID                        =  1170,  
  openapiSnoopQuerierLastQuerierVersionGet_FID                        =  1171,  
  openapiSnoopQuerierOperMaxRespTimeGet_FID                           =  1172,  
  openapiSnoopQuerierOperStateGet_FID                                 =  1173,  
  openapiSnoopQuerierOperVersionGet_FID                               =  1174,  
  openapiSnoopQuerierQueryIntervalGet_FID                             =  1175,  
  openapiSnoopQuerierQueryIntervalSet_FID                             =  1176,  
  openapiSnoopQuerierVersionGet_FID                                   =  1177,  
  openapiSnoopQuerierVersionSet_FID                                   =  1178,  
  openapiSnoopQuerierVlanAddressGet_FID                               =  1179,  
  openapiSnoopQuerierVlanAddressSet_FID                               =  1180,  
  openapiSnoopQuerierVlanElectionModeGet_FID                          =  1181,  
  openapiSnoopQuerierVlanElectionModeSet_FID                          =  1182,  
  openapiSnoopQuerierVlanModeGet_FID                                  =  1183,  
  openapiSnoopQuerierVlanModeSet_FID                                  =  1184,  
  openapiSnoopAutoVideoModeGet_FID                                    =  1185,  
  openapiSnoopAutoVideoModeSet_FID                                    =  1186,  
  openapiSnoopAutoVideoVlanGet_FID                                    =  1187,  
/* src/open/api/spanning_tree/openapi_dot1s.c */
  openapiDot1sMgmtStrLenGet_FID                                       =  1188,  
  openapiDot1VlanMaxGet_FID                                           =  1189,  
  openapiDot1SModeSet_FID                                             =  1190,  
  openapiDot1SModeGet_FID                                             =  1191,  
  openapiDot1SIntfBPDUFilterModeSet_FID                               =  1192,  
  openapiDot1SIntfBPDUFilterModeGet_FID                               =  1193,  
  openapiDot1SIntfBPDUFloodModeSet_FID                                =  1194,  
  openapiDot1SIntfBPDUFloodModeGet_FID                                =  1195,  
  openapiDot1SBPDUGuardModeSet_FID                                    =  1196,  
  openapiDot1SBPDUGuardModeGet_FID                                    =  1197,  
  openapiDot1SBPDUFilterModeSet_FID                                   =  1198,  
  openapiDot1SBPDUFilterModeGet_FID                                   =  1199,  
  openapiDot1SConfigNameSet_FID                                       =  1200,  
  openapiDot1SConfigNameGet_FID                                       =  1201,  
  openapiDot1SConfigRevisionSet_FID                                   =  1202,  
  openapiDot1SConfigRevisionGet_FID                                   =  1203,  
  openapiDot1SForceVersionSet_FID                                     =  1204,  
  openapiDot1SForceVersionGet_FID                                     =  1205,  
  openapiDot1SIntfGuardModeSet_FID                                    =  1206,  
  openapiDot1SIntfGuardModeGet_FID                                    =  1207,  
  openapiDot1SMSTInstanceSet_FID                                      =  1208,  
  openapiDot1SMSTInstanceFirstGet_FID                                 =  1209,  
  openapiDot1SMSTInstanceNextGet_FID                                  =  1210,  
  openapiDot1SMSTInstancePrioritySet_FID                              =  1211,  
  openapiDot1SMSTInstancePriorityGet_FID                              =  1212,  
  openapiDot1SMSTInstanceVLANSet_FID                                  =  1213,  
  openapiDot1SMSTInstanceFirstVLANGet_FID                             =  1214,  
  openapiDot1SMSTInstanceNextVLANGet_FID                              =  1215,  
  openapiDot1SMSTInstanceFirstFIdGet_FID                              =  1216,  
  openapiDot1SMSTInstanceNextFIdGet_FID                               =  1217,  
  openapiDot1sMSTInstanceBridgeIdentifierGet_FID                      =  1218,  
  openapiDot1sMSTInstanceTimeSinceTopologyChangeGet_FID               =  1219,  
  openapiDot1sMSTInstanceTopologyChangeCountGet_FID                   =  1220,  
  openapiDot1sMSTInstanceTopologyChangeStateGet_FID                   =  1221,  
  openapiDot1sMSTInstanceDesignatedRootIDGet_FID                      =  1222,  
  openapiDot1sMSTInstanceRootPathCostGet_FID                          =  1223,  
  openapiDot1sMSTInstanceRootPortIDGet_FID                            =  1224,  
  openapiDot1sCISTMaxAgeGet_FID                                       =  1225,  
  openapiDot1sBridgeMaxHopGet_FID                                     =  1226,  
  openapiDot1sBridgeTxHoldCountGet_FID                                =  1227,  
  openapiDot1sCISTRootFwdDelayGet_FID                                 =  1228,  
  openapiDot1sCISTHelloTimeGet_FID                                    =  1229,  
  openapiDot1sCISTBridgeHoldTimeGet_FID                               =  1230,  
  openapiDot1sCISTRegionalRootIDGet_FID                               =  1231,  
  openapiDot1sCISTRegionalRootPathCostGet_FID                         =  1232,  
  openapiDot1SIntfModeSet_FID                                         =  1233,  
  openapiDot1SIntfModeGet_FID                                         =  1234,  
  openapiDot1SIntfPortFwdStateGet_FID                                 =  1235,  
  openapiDot1SIntfPortRoleGet_FID                                     =  1236,  
  openapiDot1SIntfPortLoopInconsistentStateGet_FID                    =  1237,  
  openapiDot1SIntfEdgePortModeSet_FID                                 =  1238,  
  openapiDot1SIntfEdgePortModeGet_FID                                 =  1239,  
  openapiDot1SIntfHelloTimeGet_FID                                    =  1240,  
  openapiDot1SIntfBPDUGuardEffectGet_FID                              =  1241,  
  openapiDot1SMSTIntfPortIDGet_FID                                    =  1242,  
  openapiDot1SMstiPortPrioritySet_FID                                 =  1243,  
  openapiDot1SMstiPortPriorityGet_FID                                 =  1244,  
  openapiDot1SMstiPortPathCostModeGet_FID                             =  1245,  
  openapiDot1SMstiPortPathCostSet_FID                                 =  1246,  
  openapiDot1SMstiOperPortPathCostGet_FID                             =  1247,  
  openapiDot1SCistExtPortPathCostModeGet_FID                          =  1248,  
  openapiDot1SCistExtPortPathCostGet_FID                              =  1249,  
  openapiDot1SCistExtPortPathCostSet_FID                              =  1250,  
  openapiDot1SMstiPortDesignatedRootIDGet_FID                         =  1251,  
  openapiDot1SMstiDesignatedCostGet_FID                               =  1252,  
  openapiDot1SMstiDesignatedBridgeIDGet_FID                           =  1253,  
  openapiDot1SMstiDesignatedPortIDGet_FID                             =  1254,  
  openapiDot1SCistPortTopologyChangeAckGet_FID                        =  1255,  
  openapiDot1SCistHelloTimeGet_FID                                    =  1256,  
  openapiDot1SCistPortOperEdgeGet_FID                                 =  1257,  
  openapiDot1SCistPortOperPointToPointGet_FID                         =  1258,  
  openapiDot1SCistPortRegionalRootIDGet_FID                           =  1259,  
  openapiDot1SCistPortPathCostGet_FID                                 =  1260,  
  openapiDot1SMstiPortLoopInconsistentStateGet_FID                    =  1261,  
  openapiDot1SPortStatsTransitionsIntoLoopInconsistentStateGet_FID    =  1262,  
  openapiDot1SPortStatsTransitionsOutOfLoopInconsistentStateGet_FID   =  1263,  
  openapiDot1SPortStatsClear_FID                                      =  1264,  
  openapiDot1SPortRestrictedTcnGet_FID                                =  1265,  
  openapiDot1SPortRestrictedTcnSet_FID                                =  1266,  
  openapiDot1SPortAutoEdgeGet_FID                                     =  1267,  
  openapiDot1SPortAutoEdgeSet_FID                                     =  1268,  
  openapiDot1SPortUpTimeGet_FID                                       =  1269,  
  openapiDot1SPortStatsSTPBPDUsSentGet_FID                            =  1270,  
  openapiDot1SPortStatsSTPBPDUsReceivedGet_FID                        =  1271,  
  openapiDot1SPortStatsRSTPBPDUsSentGet_FID                           =  1272,  
  openapiDot1SPortStatsRSTPBPDUsReceivedGet_FID                       =  1273,  
  openapiDot1SPortStatsMSTPBPDUsSentGet_FID                           =  1274,  
  openapiDot1SPortStatsMSTPBPDUsReceivedGet_FID                       =  1275,  
/* src/open/api/ssh/openapi_ssh.c */
  openapiSSHKeyGenerate_FID                                           =  1276,  
  openapiSSHKeyDelete_FID                                             =  1277,  
  openapiSSHAdminModeSet_FID                                          =  1278,  
  openapiSSHAdminModeGet_FID                                          =  1279,  
  openapiSSHProtocolVersionSet_FID                                    =  1280,  
  openapiSSHProtocolVersionGet_FID                                    =  1281,  
  openapiSSHSessionTimeoutSet_FID                                     =  1282,  
  openapiSSHSessionTimeoutGet_FID                                     =  1283,  
  openapiSSHKeyStatusGet_FID                                          =  1284,  
  openapiSSHMaxSessionsSet_FID                                        =  1285,  
  openapiSSHMaxSessionsDefaultSet_FID                                 =  1286,  
  openapiSSHMaxSessionsGet_FID                                        =  1287,  
  openapiSSHActiveSessionsGet_FID                                     =  1288,  
  openapiSSHSocketInfoClear_FID                                       =  1289,  
  openapiSSHUserAuthenticate_FID                                      =  1290,  
  openapiSSHPublicUserAuthenticate_FID                                =  1291,  
  openapiSSHPubKeyAuthModeGet_FID                                     =  1292,  
  openapiSSHPubKeyGet_FID                                             =  1293,  
  openapiSSHLogMessage_FID                                            =  1294,  
  openapiSSHTransferRemotePasswordFromUserGet_FID                     =  1295,  
  openapiSSHRemotePasswordGet_FID                                     =  1296,  
  openapiScpServerAdminModeSet_FID                                    =  1297,  
  openapiScpServerAdminModeGet_FID                                    =  1298,  
  openapiScpRemoteTransferStart_FID                                   =  1299,  
  openapiScpRemoteTransferComplete_FID                                =  1300,  
/* src/open/api/stacking/openapi_stacking.c */
  openapiUnitMgrServiceTagGet_FID                                     =  1301,  
  openapiUnitMgrPreconfigModelIdGet_FID                               =  1302,  
  openapiUnitMgrStackMemberGetNext_FID                                =  1303,  
  openapiUnitMgrNumberGet_FID                                         =  1304,  
  openapiUnitMgrSerialNumberGet_FID                                   =  1305,  
  openapiUnitMgrUnitIsValid_FID                                       =  1306,  
  openapiUnitMgrUnitMaxGet_FID                                        =  1307,  
  openapiUnitMgrUnitStatusGet_FID                                     =  1308,  
  openapiUnitMgrMgmtUnitStatusGet_FID                                 =  1309,  
  openapiUnitMgrModelIdentifierGet_FID                                =  1310,  
  openapiUnitMgrDetectCodeVerFlashGet_FID                             =  1311,  
  openapiUnitMgrDetectCodeVerRunningGet_FID                           =  1312,  
  openapiUnitMgrMgmtPrefGet_FID                                       =  1313,  
  openapiUnitMgrUnitTypeGet_FID                                       =  1314,  
  openapiUnitMgrSupportedDescriptionGet_FID                           =  1315,  
  openapiUnitMgrStackFirmwareSyncMemberStatusGet_FID                  =  1316,  
  openapiUnitMgrStackFirmwareSyncStatusGet_FID                        =  1317,  
  openapiUnitMgrStackFirmwareSyncMemberLastAttemptStatusGet_FID       =  1318,  
  openapiStmUnitActiveTemplateIdGet_FID                               =  1319,  
  openapiStmTemplateDescriptionGet_FID                                =  1320,  
  openapiUnitMgrUnitUpTimeGet_FID                                     =  1321,  
  openapiUnitMgrSupportedUnitIdGet_FID                                =  1322,  
  openapiUnitMgrSupportedUnitIdNextGet_FID                            =  1323,  
  openapiUnitMgrUnitCreate_FID                                        =  1324,  
  openapiUnitMgrUnitDelete_FID                                        =  1325,  
  openapiUnitMgrUnitTransfer_FID                                      =  1326,  
  openapiSpmFpsConfigQosModeGet_FID                                   =  1327,  
  openapiSpmFpsConfigQosModeSet_FID                                   =  1328,  
  openapiUnitMgrStandbyGet_FID                                        =  1329,  
  openapiUnitMgrStandbySet_FID                                        =  1330,  
  openapiSpmFpsConfigStackingModeGet_FID                              =  1331,  
  openapiSpmFpsConfigStackingModeSet_FID                              =  1332,  
  openapiSlotGet_FID                                                  =  1333,  
  openapiUnitDbEntrySlotsGet_FID                                      =  1334,  
  openapiSlotIsFullGet_FID                                            =  1335,  
  openapiSlotAdminModeGet_FID                                         =  1336,  
  openapiSlotAdminModeSet_FID                                         =  1337,  
  openapiSlotPowerModeGet_FID                                         =  1338,  
  openapiSlotPowerModeSet_FID                                         =  1339,  
  openapiCardTypeGet_FID                                              =  1340,  
  openapiCardSupportedCardModelIdGet_FID                              =  1341,  
  openapiCardSupportedCardDescriptionGet_FID                          =  1342,  
  openapiSlotSupportedPowerdownGet_FID                                =  1343,  
  openapiSlotSupportedPluggableGet_FID                                =  1344,  
  openapiCdaTransferFile_FID                                          =  1345,  
  openapiUnitMgrDebianRootfsVerGet_FID                                =  1346,  
  openapiUnitMgrDebianRootfsOperVerGet_FID                            =  1347,  
  openapiUnitMgrDebianRootfsVerSet_FID                                =  1348,  
  openapiUnitMgrDebianRootfsOperVerSet_FID                            =  1349,  
  openapiUnitMgrResetUnit_FID                                         =  1350,  
/* src/open/api/static_filter/openapi_static_filter.c */
  openapiFilterCreate_FID                                             =  1351,  
  openapiFilterRemove_FID                                             =  1352,  
/* src/open/api/stats/openapi_cos_stats.c */
  openapiCosQueueUcTxPacketsGet_FID                                   =  1353,  
  openapiCosQueueMcTxPacketsGet_FID                                   =  1354,  
  openapiCosQueueCpuTxPacketsGet_FID                                  =  1355,  
  openapiCosQueueNumQueuesGet_FID                                     =  1356,  
  openapiCosQueueCpuDropPacketsGet_FID                                =  1357,  
/* src/open/api/stats/openapi_stats.c */
  openapiStatGet_FID                                                  =  1358,  
  openapiStatStringGet_FID                                            =  1359,  
  openapiStatReset_FID                                                =  1360,  
  openapiInterfaceStatsBufSizeGet_FID                                 =  1361,  
  openapiInterfaceStatsGet_FID                                        =  1362,  
  openapiInterfaceStatsReset_FID                                      =  1363,  
  openapiInterfaceStatsResetTimeGet_FID                               =  1364,  
/* src/open/api/storm_control/openapi_storm_control.c */
  openapiStormControlModeSet_FID                                      =  1365,  
  openapiStormControlModeGet_FID                                      =  1366,  
  openapiStormControlThresholdSet_FID                                 =  1367,  
  openapiStormControlThresholdDefaultSet_FID                          =  1368,  
  openapiStormControlThresholdGet_FID                                 =  1369,  
  openapiStormControlIntfModeSet_FID                                  =  1370,  
  openapiStormControlIntfModeGet_FID                                  =  1371,  
  openapiStormControlIntfThresholdSet_FID                             =  1372,  
  openapiStormControlIntfThresholdDefaultSet_FID                      =  1373,  
  openapiStormControlIntfThresholdGet_FID                             =  1374,  
  openapiStormControlThresholdMinMaxGet_FID                           =  1375,  
  openapiStormControlActionSet_FID                                    =  1376,  
  openapiStormControlActionGet_FID                                    =  1377,  
/* src/open/api/system/openapi_1213.c */
  openapi1213SystemSysDescrGet_FID                                    =  1378,  
  openapi1213SystemSysNameSet_FID                                     =  1379,  
  openapi1213SystemSysNameGet_FID                                     =  1380,  
  openapi1213SystemSysLocationSet_FID                                 =  1381,  
  openapi1213SystemSysLocationGet_FID                                 =  1382,  
  openapi1213SystemSysContactSet_FID                                  =  1383,  
  openapi1213SystemSysContactGet_FID                                  =  1384,  
/* src/open/api/system/openapi_image.c */
  openapiBootCodeUpdate_FID                                           =  1385,  
  openapiImageActivate_FID                                            =  1386,  
  openapiImageDelete_FID                                              =  1387,  
  openapiImageDescrGet_FID                                            =  1388,  
  openapiImageDescrSet_FID                                            =  1389,  
  openapiImageLabelIsValid_FID                                        =  1390,  
  openapiImageLabelsGet_FID                                           =  1391,  
  openapiImageNamesGet_FID                                            =  1392,  
  openapiImageUpgrade_FID                                             =  1393,  
  openapiBootCodeVersion_FID                                          =  1394,  
/* src/open/api/system/openapi_registry.c */
  openapiSystemRegSerialNumGet_FID                                    =  1395,  
  openapiSystemRegMachineModelGet_FID                                 =  1396,  
  openapiSystemRegMachineTypeGet_FID                                  =  1397,  
  openapiSystemRegCodeVersionGet_FID                                  =  1398,  
/* src/open/api/system/openapi_sdm.c */
  openapiSdmTemplateSupported_FID                                     =  1399,  
  openapiSdmActiveTemplateGet_FID                                     =  1400,  
  openapiSdmNextActiveTemplateGet_FID                                 =  1401,  
  openapiSdmNextActiveTemplateSet_FID                                 =  1402,  
  openapiSdmTemplateNameGet_FID                                       =  1403,  
  openapiSdmTemplateMaxArpEntriesGet_FID                              =  1404,  
  openapiSdmTemplateMaxIpv4RoutesGet_FID                              =  1405,  
  openapiSdmTemplateMaxNdpEntriesGet_FID                              =  1406,  
  openapiSdmTemplateMaxIpv6RoutesGet_FID                              =  1407,  
  openapiSdmTemplateMaxEcmpNextHopsGet_FID                            =  1408,  
  openapiSdmTemplateMaxIpv4McastRoutesGet_FID                         =  1409,  
  openapiSdmTemplateMaxIpv6McastRoutesGet_FID                         =  1410,  
  openapiSdmTemplateIdNextGet_FID                                     =  1411,  
/* src/open/api/system/openapi_switch_cpu.c */
  openapiTotalCpuUtilArrayGet_FID                                     =  1412,  
  openapiCpuUtilMaxPeriodsGet_FID                                     =  1413,  
/* src/open/api/system/openapi_system.c */
  openapiSystemPromptSet_FID                                          =  1414,  
  openapiSystemPromptMaxSizeGet_FID                                   =  1415,  
  openapiSystemHostnameSet_FID                                        =  1416,  
  openapiSystemHostnameGet_FID                                        =  1417,  
  openapiSystemHostnameSizeGet_FID                                    =  1418,  
  openapiSystemLocalUnitGet_FID                                       =  1419,  
  openapiSystemNameGet_FID                                            =  1420,  
  openapiSystemNameMaxSizeGet_FID                                     =  1421,  
  openapiLineTerminalLengthSet_FID                                    =  1422,  
  openapiLineTerminalLengthDefaultSet_FID                             =  1423,  
  openapiLineTerminalLengthGet_FID                                    =  1424,  
  openapiSerialTimeoutSet_FID                                         =  1425,  
  openapiSerialTimeoutDefaultSet_FID                                  =  1426,  
  openapiSerialTimeoutGet_FID                                         =  1427,  
  openapiNetworkMgmtVlanGet_FID                                       =  1428,  
  openapiNetworkMgmtVlanSet_FID                                       =  1429,  
  openapiNetworkPortLinkStateGet_FID                                  =  1430,  
  openapiNetworkPortIPv4ParametersSet_FID                             =  1431,  
  openapiNetworkPortIPv4ParametersDelete_FID                          =  1432,  
  openapiNetworkPortIPv4AddrGet_FID                                   =  1433,  
  openapiNetworkPortGatewayIPv4AddrGet_FID                            =  1434,  
  openapiNetworkPortIPv4ProtocolModeSet_FID                           =  1435,  
  openapiNetworkPortIPv4ProtocolModeGet_FID                           =  1436,  
  openapiServicePortIPv4ProtocolModeSet_FID                           =  1437,  
  openapiServicePortIPv4ProtocolModeGet_FID                           =  1438,  
  openapiTelnetServerAdminModeSet_FID                                 =  1439,  
  openapiTelnetServerAdminModeGet_FID                                 =  1440,  
  openapiNetworkPortIPv6AdminModeSet_FID                              =  1441,  
  openapiNetworkPortIPv6AdminModeGet_FID                              =  1442,  
  openapiNetworkPortIPv6AutoConfigModeSet_FID                         =  1443,  
  openapiNetworkPortIPv6AutoConfigModeGet_FID                         =  1444,  
  openapiNetworkPortIPv6ProtocolModeSet_FID                           =  1445,  
  openapiNetworkPortIPv6ProtocolModeGet_FID                           =  1446,  
  openapiNetworkPortIPv6PrefixSet_FID                                 =  1447,  
  openapiNetworkPortIPv6GatewaySet_FID                                =  1448,  
  openapiNetworkPortIPv6PrefixDelete_FID                              =  1449,  
  openapiNetworkPortIPv6AddressesNextGet_FID                          =  1450,  
  openapiNetworkPortIPv6GatewayGet_FID                                =  1451,  
  openapiServicePortIPv4ParametersSet_FID                             =  1452,  
  openapiServicePortIPv4ParametersDelete_FID                          =  1453,  
  openapiServicePortIPv6PrefixDelete_FID                              =  1454,  
  openapiServicePortIPv4AddrGet_FID                                   =  1455,  
  openapiServicePortMaskGet_FID                                       =  1456,  
  openapiServicePortGatewayIPv4AddrGet_FID                            =  1457,  
  openapiServicePortIPv6AdminModeSet_FID                              =  1458,  
  openapiServicePortIPv6AdminModeGet_FID                              =  1459,  
  openapiServicePortIPv6AutoConfigModeSet_FID                         =  1460,  
  openapiServicePortIPv6AutoConfigModeGet_FID                         =  1461,  
  openapiServicePortIPv6ProtocolModeSet_FID                           =  1462,  
  openapiServicePortIPv6ProtocolModeGet_FID                           =  1463,  
  openapiServicePortIPv6PrefixSet_FID                                 =  1464,  
  openapiServicePortIPv6GatewaySet_FID                                =  1465,  
  openapiServicePortIPv6AddressesNextGet_FID                          =  1466,  
  openapiServicePortIPv6GatewayGet_FID                                =  1467,  
  openapiTransferBytesCompletedSet_FID                                =  1468,  
  openapiSystemUpTimeGet_FID                                          =  1469,  
  openapiSystemUpTimeMsecGet_FID                                      =  1470,  
  openapiWarmRestartStatusGet_FID                                     =  1471,  
  openapiSystemMacAddrGet_FID                                         =  1472,  
  openapiSystemBurnedInMacAddrGet_FID                                 =  1473,  
  openapiSystemMemoryInfoGet_FID                                      =  1474,  
  openapiSaveConfigurationSet_FID                                     =  1475,  
  openapiResetConfigurationSet_FID                                    =  1476,  
  openapiSystemReload_FID                                             =  1477,  
  openapiManufacturerGet_FID                                          =  1478,  
  openapiTimeZoneOffsetGet_FID                                        =  1479,  
  openapiOperSysGet_FID                                               =  1480,  
  openapiUidGet_FID                                                   =  1481,  
  openapiMaintenanceLevelGet_FID                                      =  1482,  
  openapiClientResourceTrackingSet_FID                                =  1483,  
  openapiLicenseFeatureStatusGet_FID                                  =  1484,  
  openapiArpInfoNextGet_FID                                           =  1485,  
/* src/open/api/system/openapi_time.c */
  openapiClockGet_FID                                                 =  1486,  
  openapiClockSet_FID                                                 =  1487,  
  openapiTimeZoneGet_FID                                              =  1488,  
  openapiTimeZoneSet_FID                                              =  1489,  
/* src/open/api/system/openapi_transfer.c */
  openapiImageHeaderSizeGet_FID                                       =  1490,  
  openapiImageHeaderCheck_FID                                         =  1491,  
  openapiTransferModeGet_FID                                          =  1492,  
  openapiTransferModeSet_FID                                          =  1493,  
  openapiTransferFileTypeGet_FID                                      =  1494,  
  openapiTransferFileTypeSet_FID                                      =  1495,  
  openapiTransferServerAddressGet_FID                                 =  1496,  
  openapiTransferServerAddressSet_FID                                 =  1497,  
  openapiTransferFileRemoteGet_FID                                    =  1498,  
  openapiTransferFileRemoteSet_FID                                    =  1499,  
  openapiTransferFileLocalGet_FID                                     =  1500,  
  openapiTransferFileLocalSet_FID                                     =  1501,  
  openapiTransferRemoteUserCredentialsGet_FID                         =  1502,  
  openapiTransferRemoteUserCredentialsSet_FID                         =  1503,  
  openapiTransferDownStartSet_FID                                     =  1504,  
  openapiHttpTransferDownStartSet_FID                                 =  1505,  
  openapiTransferInProgressGet_FID                                    =  1506,  
  openapiTransferResultGet_FID                                        =  1507,  
  openapiTransferDownloadResultCodeGet_FID                            =  1508,  
  openapiDigitalSignatureVerifyConfigGet_FID                          =  1509,  
  openapiDigitalSignatureVerifyConfigSet_FID                          =  1510,  
  openapiCopyConfigFile_FID                                           =  1511,  
/* src/open/api/tacacs/openapi_tacacs.c */
  openapiTacacsServerAdd_FID                                          =  1512,  
  openapiTacacsServerFirstGet_FID                                     =  1513,  
  openapiTacacsServerNextGet_FID                                      =  1514,  
  openapiTacacsServerDelete_FID                                       =  1515,  
  openapiTacacsServerKeySet_FID                                       =  1516,  
  openapiTacacsServerDefaultKeySet_FID                                =  1517,  
  openapiTacacsServerPortSet_FID                                      =  1518,  
  openapiTacacsServerDefaultPortSet_FID                               =  1519,  
  openapiTacacsServerPortGet_FID                                      =  1520,  
  openapiTacacsServerPrioritySet_FID                                  =  1521,  
  openapiTacacsServerDefaultPrioritySet_FID                           =  1522,  
  openapiTacacsServerPriorityGet_FID                                  =  1523,  
  openapiTacacsServerTimeoutSet_FID                                   =  1524,  
  openapiTacacsServerTimeoutGet_FID                                   =  1525,  
  openapiTacacsServerGlobalKeySet_FID                                 =  1526,  
  openapiTacacsServerGlobalKeyDelete_FID                              =  1527,  
  openapiTacacsServerGlobalTimeoutSet_FID                             =  1528,  
  openapiTacacsServerGlobalTimeoutGet_FID                             =  1529,  
  openapiTacacsServerMaxLengthGet_FID                                 =  1530,  
  openapiTacacsKeyMaxLengthGet_FID                                    =  1531,  
  openapiTacacsServersMaxSupportedGet_FID                             =  1532,  
/* src/open/api/tcam/openapi_tcam.c */
  openapiTcamApiInit_FID                                              =  1533,  
  openapiTcamApiFini_FID                                              =  1534,  
  openapiTcamPolicyCreate_FID                                         =  1535,  
  openapiTcamPolicyDestroy_FID                                        =  1536,  
  openapiTcamPolicyIntfAdd_FID                                        =  1537,  
  openapiTcamPolicyIntfRem_FID                                        =  1538,  
  openapiTcamPolicyGet_FID                                            =  1539,  
  openapiTcamPolicyGetFirst_FID                                       =  1540,  
  openapiTcamPolicyGetNext_FID                                        =  1541,  
  openapiTcamPolicyDeleteAll_FID                                      =  1542,  
  openapiTcamApiVersionGet_FID                                        =  1543,  
  openapiExtAgentPktRegister_FID                                      =  1544,  
  openapiExtAgentPktUnregister_FID                                    =  1545,  
  openapiTcamHardwarePolicyUsageGetNext_FID                           =  1546,  
  openapiTcamHardwareGroupUsageGetNext_FID                            =  1547,  
  openapiTcamPolicyIntfAllAdd_FID                                     =  1548,  
  openapiTcamPolicyMeteringStatsGet_FID                               =  1549,  
  openapiTcamPolicyStatsClear_FID                                     =  1550,  
  openapiTcamPolicyCreateV2_FID                                       =  1551,  
  openapiTcamPolicyGetV2_FID                                          =  1552,  
  openapiTcamPolicyGetFirstV2_FID                                     =  1553,  
  openapiTcamPolicyGetNextV2_FID                                      =  1554,  
/* src/open/api/timeranges/openapi_timeranges.c */
  openapiTimeRangeAdminModeSet_FID                                    =  1555,  
  openapiTimeRangeAdminModeGet_FID                                    =  1556,  
  openapiTimeRangeAdd_FID                                             =  1557,  
  openapiTimeRangeDelete_FID                                          =  1558,  
  openapiTimeRangeCurrNumGet_FID                                      =  1559,  
  openapiTimeRangeMaxNumGet_FID                                       =  1560,  
  openapiTimeRangeNameFirstGet_FID                                    =  1561,  
  openapiTimeRangeNameNextGet_FID                                     =  1562,  
  openapiTimeRangeStatusGet_FID                                       =  1563,  
  openapiTimeRangeNumEntriesGet_FID                                   =  1564,  
  openapiTimeRangeAbsoluteEntryNumGet_FID                             =  1565,  
  openapiTimeRangeAbsoluteEntryStartDateAndTimeAdd_FID                =  1566,  
  openapiTimeRangeAbsoluteEntryEndDateAndTimeAdd_FID                  =  1567,  
  openapiTimeRangeAbsoluteEntryStartDateAndTimeGet_FID                =  1568,  
  openapiTimeRangeAbsoluteEntryEndDateAndTimeGet_FID                  =  1569,  
  openapiTimeRangeEntryDelete_FID                                     =  1570,  
  openapiTimeRangePeriodicEntryStartDateAndTimeSet_FID                =  1571,  
  openapiTimeRangePeriodicEntryStartDateAndTimeGet_FID                =  1572,  
  openapiTimeRangePeriodicEntryEndDateAndTimeSet_FID                  =  1573,  
  openapiTimeRangePeriodicEntryEndDateAndTimeGet_FID                  =  1574,  
/* src/open/api/traceroute/openapi_traceroute.c */
#if defined (L7_IPV6_PACKAGE) || defined (L7_IPV6_MGMT_PACKAGE)
#endif
  openapiTracerouteAddress_FID                                        =  1575,  
  openapiTracerouteAddressWithCount_FID                               =  1576,  
  openapiTracerouteAddressWithInterval_FID                            =  1577,  
  openapiTracerouteAddressWithTtl_FID                                 =  1578,  
  openapiTracerouteAddressWithMaxFail_FID                             =  1579,  
  openapiTracerouteAddressWithPDUSize_FID                             =  1580,  
  openapiTracerouteAddressWithUdpPort_FID                             =  1581,  
  openapiTracerouteAddressWithSourceInterface_FID                     =  1582,  
  openapiTracerouteAddressExplicit_FID                                =  1583,  
/* src/open/api/user_manager/openapi_user_manager.c */
  openapiUserSet_FID                                                  =  1584,  
  openapiUserFirstGet_FID                                             =  1585,  
  openapiUserNextGet_FID                                              =  1586,  
  openapiSessionIDNextValidGet_FID                                    =  1587,  
  openapiSessionLogout_FID                                            =  1588,  
  openapiMaxUsersSupportedGet_FID                                     =  1589,  
  openapiUserLevelSet_FID                                             =  1590,  
  openapiUserLevelGet_FID                                             =  1591,  
  openapiUserNameSizeGet_FID                                          =  1592,  
  openapiUserNameValidate_FID                                         =  1593,  
  openapiPasswordSizeGet_FID                                          =  1594,  
  openapiUserDelete_FID                                               =  1595,  
  openapiAuthenticationListNameValidate_FID                           =  1596,  
  openapiAuthenticationListCreate_FID                                 =  1597,  
  openapiAuthenticationMethodsAdd_FID                                 =  1598,  
  openapiAuthenticationListFirstGet_FID                               =  1599,  
  openapiAuthenticationListNextGet_FID                                =  1600,  
  openapiAuthenticationMethodListGet_FID                              =  1601,  
  openapiAuthenticationListDelete_FID                                 =  1602,  
  openapiAuthenticationListLineSet_FID                                =  1603,  
  openapiAuthenticationListLineGet_FID                                =  1604,  
  openapiAuthenticationListLineDelete_FID                             =  1605,  
  openapiAuthenticationListNameSizeGet_FID                            =  1606,  
  openapiAuthenticationMethodsMaxGet_FID                              =  1607,  
  openapiAuthorizationListNameValidate_FID                            =  1608,  
  openapiAuthorizationListCreate_FID                                  =  1609,  
  openapiAuthorizationMethodsAdd_FID                                  =  1610,  
  openapiAuthorizationListDelete_FID                                  =  1611,  
  openapiAuthorizationListFirstGet_FID                                =  1612,  
  openapiAuthorizationListNextGet_FID                                 =  1613,  
  openapiAuthorizationMethodListGet_FID                               =  1614,  
  openapiAuthorizationListLineSet_FID                                 =  1615,  
  openapiAuthorizationListNameSizeGet_FID                             =  1616,  
  openapiAuthorizationMethodsMaxGet_FID                               =  1617,  
  openapiAuthorizationListLineDelete_FID                              =  1618,  
  openapiAuthorizationListLineGet_FID                                 =  1619,  
  openapiAccountingListNameValidate_FID                               =  1620,  
  openapiAccountingListCreate_FID                                     =  1621,  
  openapiAccountingMethodsAdd_FID                                     =  1622,  
  openapiAccountingMethodListGet_FID                                  =  1623,  
  openapiAccountingListRecordTypeGet_FID                              =  1624,  
  openapiAccountingListFirstGet_FID                                   =  1625,  
  openapiAccountingListNextGet_FID                                    =  1626,  
  openapiAccountingListDelete_FID                                     =  1627,  
  openapiAccountingListLineSet_FID                                    =  1628,  
  openapiAccountingListLineGet_FID                                    =  1629,  
  openapiAccountingListLineDelete_FID                                 =  1630,  
  openapiAccountingMethodsMaxGet_FID                                  =  1631,  
  openapiAccountingListNameSizeGet_FID                                =  1632,  
  openapiEnablePasswordSet_FID                                        =  1633,  
  openapiEnablePasswordRemove_FID                                     =  1634,  
  openapiAuthenticateUser_FID                                         =  1635,  
  openapiWebSessionUserLogin_FID                                      =  1636,  
  openapiWebSessionValidate_FID                                       =  1637,  
  openapiWebSessionLogout_FID                                         =  1638,  
  openapiIsAuthenticationRequiredGet_FID                              =  1639,  
  openapiUserPasswordGet_FID                                          =  1640,  
  openapiLoginSessionUserGet_FID                                      =  1641,  
  openapiLoginSessionRemoteIpAddrGet_FID                              =  1642,  
  openapiLoginSessionIdleTimeGet_FID                                  =  1643,  
  openapiLoginSessionTimeGet_FID                                      =  1644,  
  openapiLoginSessionTypeGet_FID                                      =  1645,  
/* src/open/api/userapp_config_db/openapi_userapp_config_db.c */
  openapiUserAppConfigDbSet_FID                                       =  1646,  
  openapiUserAppConfigDbGet_FID                                       =  1647,  
  openapiUserAppConfigDbGetNext_FID                                   =  1648,  
  openapiUserAppConfigDbRemoveItem_FID                                =  1649,  
  openapiUserAppConfigDbCreateAppDb_FID                               =  1650,  
  openapiUserAppConfigDbDeleteAppDb_FID                               =  1651,  
/* src/open/api/vlan/openapi_vlan.c */
  openapiVlanCreate_FID                                               =  1652,  
  openapiVlanDelete_FID                                               =  1653,  
  openapiVlanIfAcceptFrameTypeGet_FID                                 =  1654,  
  openapiVlanIfAcceptFrameTypeSet_FID                                 =  1655,  
  openapiVlanIfParticipationSet_FID                                   =  1656,  
  openapiVlanIfParticipationGet_FID                                   =  1657,  
  openapiVlanIfPvidSet_FID                                            =  1658,  
  openapiVlanIfTaggingSet_FID                                         =  1659,  
  openapiVlanIfNumTrafficClassesGet_FID                               =  1660,  
  openapiVlanIfDefaultUserPrioritySet_FID                             =  1661,  
  openapiVlanIfDefaultUserPriorityGet_FID                             =  1662,  
  openapiVlanNameLenGet_FID                                           =  1663,  
  openapiVlanNameSet_FID                                              =  1664,  
  openapiVlanNameGet_FID                                              =  1665,  
  openapiDot1qSwPortModeSet_FID                                       =  1666,  
  openapiDot1qSwPortModeGet_FID                                       =  1667,  
  openapiDot1qSwPortAccessVlanSet_FID                                 =  1668,  
  openapiDot1qSwPortAccessVlanGet_FID                                 =  1669,  
  openapiDot1qSwPortTrunkNativeVlanSet_FID                            =  1670,  
  openapiDot1qSwPortTrunkNativeVlanGet_FID                            =  1671,  
  openapiDot1qSwPortTrunkAllowedVlanListSet_FID                       =  1672,  
  openapiDot1qSwPortTrunkAllowedVlanListGet_FID                       =  1673,  
  openapiDot1qSwPortForbiddenVlanListGet_FID                          =  1674,  
  openapiDot1qSwPortUntaggedVlanListGet_FID                           =  1675,  
  openapiDot1qSwPortTaggedVlanListGet_FID                             =  1676,  
  openapiDot1qSwPortDynamicallyAddedVlanListGet_FID                   =  1677,  
  openapiPvlanIntfModeGet_FID                                         =  1678,  
  openapiPvlanIntfHostAssocGet_FID                                    =  1679,  
  openapiPvlanIntfPromiscAssocGet_FID                                 =  1680,  
  openapiPvlanIntfOperAssocGet_FID                                    =  1681,  
  openapiPvlanIntfPromiscTrunkAssocNextGet_FID                        =  1682,  
  openapiPvlanIntfIsolatedTrunkAssocNextGet_FID                       =  1683,  
  openapiPvlanIntfTrunkNativeVlanGet_FID                              =  1684,  
  openapiPvlanIntfTrunkAllowedVlanListGet_FID                         =  1685,  
  openapiDot1qPrivateVlanEnable_FID                                   =  1686,  
  openapiDot1qPrivateVlanGet_FID                                      =  1687,  
  openapiDot1qApiPrivateVlanAssocAdd_FID                              =  1688,  
  openapiDot1qApiPrivateVlanAssocRemove_FID                           =  1689,  
  openapiDot1qPrivateVlanAssociationGet_FID                           =  1690,  
  openapiDot1qIntfPVlanHostAssocSet_FID                               =  1691,  
  openapiDot1qPVlanIntfHostAssocRemove_FID                            =  1692,  
  openapiDot1qIntfPVlanPromiscAssocSet_FID                            =  1693,  
  openapiDot1qPVlanIntfPromiscAssocRemove_FID                         =  1694,  
/* src/open/api/voip/openapi_voip.c */
  openapiVoipGlobalVlanIdSet_FID                                      =  1695,  
  openapiVoipGlobalVlanIdReset_FID                                    =  1696,  
  openapiVoipGlobalVlanIdGet_FID                                      =  1697,  
  openapiVoipMaxCallsGet_FID                                          =  1698,  
  openapiVoipNumActiveProtocolSessionsGet_FID                         =  1699,  
  openapiVoipProfileCosQueueGet_FID                                   =  1700,  
  openapiVoipProfileCosQueueSet_FID                                   =  1701,  
  openapiVoipIntfModeGet_FID                                          =  1702,  
  openapiVoipIntfModeSet_FID                                          =  1703,  
  openapiVoipIntfProtocolStatusGet_FID                                =  1704,  
  openapiVoipIntfOUIStatusGet_FID                                     =  1705,  
  openapiVoipOUIPriorityGet_FID                                       =  1706,  
  openapiVoipOUIPrioritySet_FID                                       =  1707,  
  RPCCOM_OPENAPI_FID_TOTAL                                            =  1708   /* for bounds-checking */

} RPCCOM_OPENAPI_FID_t;

#endif /* _RPCCOM_OPENAPI_H_ */
